

/*@cc_on @*/ var isJScript = /*@if (@_jscript) true; @else @*/ false; /*@end @*/

// -----------------------------------------------------------------
// hacks ?
// -----------------------------------------------------------------

var __deURI__ = decodeURI;
var __enURI__ = encodeURI;
var decodeURI = function(URI) { try { return __deURI__(URI); } catch (failure) { try { return unescape(URI); } catch (failure) { return URI; } } }
var encodeURI = function(URI) { try { return __enURI__(URI); } catch (failure) { try { return   escape(URI); } catch (failure) { return URI; } } }

var $AP = Array.prototype; // var args = [].slice.call(arguments,0);
String.prototype.mark   = function(NTOKEN) { return "<"+NTOKEN+(arguments[1]?" "+arguments[1]+">":">")+this+"<\/"+NTOKEN+">"; }
String.prototype.markup = function(/*NTOKENS*/) { return  "<"+$AP.join.call(arguments,"><")+">"+this+"<\/"+$AP.slice.call(arguments,0).reverse().join("><\/")+">"; }
String.prototype.markUP = function(/*NTOKENS*/) { return ["<",$AP.join.call(arguments,"><"),">",this,"<\/",$AP.slice.call(arguments,0).reverse().join("><\/").replace(/\s+[^>]*/gi,""),">"].join(""); }
String.prototype.aIDREF = function(ID,REF) { return "<a"+((ID)?" id=\""+ID+"\"":"")+((REF)?" href=\""+REF+"\"":"")+">"+this+"<\/a>"; }
String.prototype.markIf = function(isTrue) { return (isTrue)?this.bold():this; }

//~ String.prototype.sINFIX = function(prefix,suffix) { return prefix+this+suffix; }
//~ Object.prototype.toAttr = function() { // ({"name":"value"}).toAttr()
	//~ var result = "";
	//~ if (typeof(this)=='object' && this instanceof Object)
	//~ for (var o in this) result+=" "+o+"=\""+this[o]+"\"";
	//~ return result;
//~ }

// -----------------------------------------------------------------
// -----------------------------------------------------------------

function getQuery(queryName, defaultValue) {
	var qN = ((typeof(queryName)=='object')&&(queryName instanceof Array)) ? '(?:'+queryName.join('|')+')' : queryName ;
    try { // better RegExp
        var pattern = new RegExp('[?&]'+qN+'=([^&]+)(?:&|$)');
        return (pattern.test(decodeURI(window.location.search))) ? RegExp.$1 : defaultValue ;
    }
    catch (failure) { // lesser RegExp
        var results = false;
        var pattern = new RegExp('^'+qN+'=(.+)$');
		var qstring = (decodeURI) ? decodeURI(window.location.search).slice(1).split('&') : window.location.search.slice(1).split('&') ;
        for (var i=0; i<qstring.length && !results; i++) results=pattern.test(qstring[i]);
        return (results) ? RegExp.$1 : defaultValue ;
    }
}

var resultSrc = function() {
    this.Source = [];
    this.updateSrc = function(s) {
        if (s instanceof Array)    this.Source=this.Source.concat(s);
        else if ((typeof(s)=='string')||(s instanceof String)) this.Source[this.Source.length]=s; }
    this.returnSrc = function(s)  { return this.Source.join(s||''); }
    this.removeSrc = function()   { this.Source.length=0; }
    return this;
}

function getAttributeDOMx(el,ns,pfx,name) {
    if (el.getAttributeNS) { return el.getAttributeNS(ns,name); }
    else { return el.getAttribute(name)||el.getAttribute(pfx+":"+name); }
} // END:fn
function setAttributeDOMx(el,ns,qname,val) {
    if (el.setAttributeNS) { return el.setAttributeNS(ns,qname,val); }
    else { return el.setAttribute(qname,val); }
} // END:fn
function getClassAttr(el) {
    if (el.getAttributeNS) { return el.getAttributeNS("http:\/\/www.w3.org\/1999\/xhtml","class"); }
    else { return el.getAttribute("class")||el.getAttribute("xhtml:class")||el.className; }
} // END:fn

/*@if (@_jscript) @else @*/
if (!HTMLElement.prototype.insertAdjacentHTML) {
	 HTMLElement.prototype.insertAdjacentHTML = function(sWhere,sText) {
		 var oThis = this, oWhere = this.parentNode;
		 var oRange = document.createRange(); oRange.selectNode(this);
		 var oText = oRange.createContextualFragment(sText);
		 void ({
			 "beforebegin" : function() { oWhere.insertBefore(oText,oThis); },
			 "afterend"    : function() { oWhere.insertBefore(oText,oThis.nextSibling); },
			 "afterbegin"  : function() { oThis.insertBefore(oText,oThis.childNodes[0]); },
			 "beforeend"   : function() { oThis.appendChild(oText); }
		 }[sWhere.toLowerCase()]());
	 }
}
/*@end @*/

// -----------------------------------------------------------------
// date time &c
// -----------------------------------------------------------------

if ( !Date.prototype.toISOString ) {
    ( function() {
		function pad(n) { return (n<10?'0':'')+n ; }
        Date.prototype.toISOString = function() {
            return this.getUTCFullYear()
                + '-' + pad( this.getUTCMonth()+1 )
                + '-' + pad( this.getUTCDate() )
                + 'T' + pad( this.getUTCHours() )
                + ':' + pad( this.getUTCMinutes() )
                + ':' + pad( this.getUTCSeconds() )
                + '.' + String( (this.getUTCMilliseconds()/1000).toFixed(3) ).slice(2,5)
                + 'Z';
        };
    }() );
}

if ( !Date.prototype.toISOStringTZ ) { // ISO of local TimeZone (hh:mm to UTC)
    ( function() {
		function pad(n) { return (n<10?'0':'')+n ; }
		function tzd(n) { return (n<0?'+':'-')+pad(Math.abs(0|(n/60)))+':'+pad(Math.abs(n%60)); } 
        Date.prototype.toISOStringTZ = function() {
			var tzo  = this.getTimezoneOffset(); 
			return   [ this.getFullYear(),
				'-' , pad( this.getMonth()+1 ),
				'-' , pad( this.getDate() ),
				'T' , pad( this.getHours() ),
				':' , pad( this.getMinutes() ),
				':' , pad( this.getSeconds() ),
				// '.' , String( (this.getMilliseconds()/1000).toFixed(3) ).slice(2,5),
				((tzo) ? tzd(tzo) : 'Z' ) 
			].join('');
        };
    }() );
}

// -----------------------------------------------------------------

var baseDate = new Date();
var baseDays = Math.floor(baseDate.valueOf()/86400000);
var modiDate = new Date(document.lastModified);
var modiDays = baseDays-(Math.floor(modiDate.valueOf()/86400000));
var ISO4Date = /(\d{4}-\d{2}-\d{2})/;   //  /([0-9]{4}-[0-9]{2}-[0-9]{2})/  /(\d{4}-\d{2}-\d{2})/  /(\d\d\d\d-\d\d-\d\d)/
var base2Day = { "y":baseDate.getUTCFullYear(),"m":baseDate.getUTCMonth()+1,"d":baseDate.getUTCDate() }
    base2Day.YY  = ''+base2Day.y;
    base2Day.MM  = ((base2Day.m<10)?'0':'')+base2Day.m;
    base2Day.DD  = ((base2Day.d<10)?'0':'')+base2Day.d;
    base2Day.ISO = base2Day.YY+'-'+base2Day.MM+'-'+base2Day.DD;

function getDays2Date(oDate) { // Arg: Object Date
    return Math.abs(baseDays-(Math.floor(oDate.valueOf()/86400000)));
} // END:fn
function getDaysSince(strYYYY,strMM,strDD) { // StrOfMonths: [0]1-12
    return Math.abs(baseDays-(Math.floor(Date.UTC(parseInt(strYYYY,10),parseInt(strMM,10)-1,parseInt(strDD,10))/86400000)));
} // END:fn
function getDuration(fromISODate,toISODate) { // Args: String ISO-Date = "YYYY-MM-DD"
    var fromDate = fromISODate.split('-');    var toDate = toISODate.split('-');
    return getDaysSince(toDate[0],toDate[1],toDate[2])-getDaysSince(fromDate[0],fromDate[1],fromDate[2]);
} // END:fn
function getDuration2Day(fromISODate) { // Arg: String ISO-Date = "YYYY-MM-DD"
    var fromDate = fromISODate.split('-');
    return getDaysSince(fromDate[0],fromDate[1],fromDate[2]);
} // END:fn

var DaysOfMonthInYear = function(MM,YY){ return (MM==2) ? (((!(YY%4) && (YY%100)) || !(YY%400)) ? 29 : 28) : [0,31,28,31,30,31,30,31,31,30,31,30,31][MM] ; }

function FromDate2Date(fDate,tDate) { // Args: Object Date
    return getDaysAsAMD(Math.abs((Math.floor(tDate.valueOf()/86400000))-(Math.floor(fDate.valueOf()/86400000))));
}
function FromToISODate(fISODate,tISODate) { // Args: String ISO-Date = "YYYY-MM-DD"
    var fDate = fISODate.split('-');
    var tDate = tISODate.split('-');
    return FromToNumDate(parseInt(fDate[0],10),parseInt(fDate[1],10),parseInt(fDate[2],10),parseInt(tDate[0],10),parseInt(tDate[1],10),parseInt(tDate[2],10));
}
function FromToISO2Day(fISODate) { // Arg: String ISO-Date = "YYYY-MM-DD"
    var fDate = fISODate.split('-');
    return FromToNumDate(parseInt(fDate[0],10),parseInt(fDate[1],10),parseInt(fDate[2],10),base2Day.y,base2Day.m,base2Day.d);
}
function FromToNumDate(fY,fM,fD,tY,tM,tD) { // NumOfMonths: 1-12
    var rY=tY-fY; var rM=tM-fM; var rD=tD-fD;
    if (rD<0) { rD+=DaysOfMonthInYear(fM,fY); rM--; }
    if (rM<0) { rM+=12; rY--; }
    return ((rY)?((rY<10)?"0":"")+rY+"a":"")+((rM)?((rM<10)?"0":"")+rM+"m":"")+((rD)?((rD<10)?"0":"")+rD+"d":"");
}
function FromToStrDate(fY,fM,fD,tY,tM,tD) { // StrOfMonths: [0]1-12
    var rY=parseInt(tY,10)-parseInt(fY,10);
    var rM=parseInt(tM,10)-parseInt(fM,10);
    var rD=parseInt(tD,10)-parseInt(fD,10);
    if (rD<0) { rD+=DaysOfMonthInYear(fM,fY); rM--; }
    if (rM<0) { rM+=12; rY--; }
    return ((rY)?((rY<10)?"0":"")+rY+"a":"")+((rM)?((rM<10)?"0":"")+rM+"m":"")+((rD)?((rD<10)?"0":"")+rD+"d":"");
}
function FromZoff2Zadd(TZoff) { // Arg: NumOfMinutes mmm e.g. aDateObj.getTimezoneOffset() 
	return (TZoff<0?"+":"-")+(Math.abs(0|(TZoff/60))+":"+Math.abs(TZoff%60)).replace(/\b(\d)\b/g,'0$1');
} // Ret:  reversed sign ISO-TZD to UCT = hh:mm

function Date2ISO(DateObj /* +none|false|true */ ) { // true = localTimeZone, none = false = default = UTC
	this.Date =  (DateObj instanceof Date) ? DateObj : new Date() ;
	
	this.ISOfull = (arguments[1]===true) ? this.Date.toISOStringTZ() : this.Date.toISOString() ;
	this.ISOextY = (       /^([-+]\d{2})\d{4}/.test(this.ISOfull)) ? RegExp.$1 : "+00"         ;
	this.ISOyear = (      /^(\d{4}|[-+]\d{6})/.test(this.ISOfull)) ? RegExp.$1 : "+00????"     ;
	this.ISOdate = (     /(\d{4}-\d{2}-\d{2})/.test(this.ISOfull)) ? RegExp.$1 : "????-??-??"  ; // this.ISOfull.substr(0,10);
	this.ISOtime = (    /T(\d{2}:\d{2}:\d{2})/.test(this.ISOfull)) ? RegExp.$1 : "??:??:??"    ; // this.ISOfull.substr(11,8);
	this.ISOfrac = (               /[.,](\d+)/.test(this.ISOfull)) ? RegExp.$1 : "???"         ;
	this.ISOzone = (/(Z|(?:[-+]\d{2}:\d{2}))$/.test(this.ISOfull)) ? RegExp.$1 : "\u00B1??:??" ;
	
	this.UTCzoff = this.Date.getTimezoneOffset();
    this.UTCzadd = (this.UTCzoff) ? (this.UTCzoff<0?"+":"-")+(Math.abs(0|(this.UTCzoff/60))+":"+Math.abs(this.UTCzoff%60)).replace(/\b(\d)\b/g,'0$1') : "" ;
	
	return this;
}

var modifISO = new Date2ISO(modiDate);  
var modi2Day = FromToNumDate(modiDate.getUTCFullYear(),modiDate.getUTCMonth()+1,modiDate.getUTCDate(),baseDate.getUTCFullYear(),baseDate.getUTCMonth()+1,baseDate.getUTCDate());
var reviData = modifISO.ISOdate+' '+modifISO.ISOtime.substr(0,5)+' UTC ('+modifISO.UTCzadd+'=LT)'+((modi2Day)?' ~ '+modi2Day:'');

// function LZ(n) { return (n!=null&&n<10&&n>=0?"0":"")+n; } // LeadingZero

// -----------------------------------------------------------------
// init & exec
// -----------------------------------------------------------------

//~ function initObjRefs(oRef) {
    //~ sObj=oRef;
    //~ sDoc=oRef.contentDocument /*@if (@_jscript) ||oRef.XMLDocument /*@end @*/ ;
                              //~ /*@if (@_jscript) if(sDoc==null) sDoc.load(oRef.data); /*@end @*/
//~ }

function initDocRefs() {
    rDiv = document.getElementById('resultDiv');
    // void(setAttributeDOMx(rDiv,'http:\/\/www.w3.org\/XML\/1998\/namespace','xml:base','Nobiliario.xml'));
    document.getElementById('idAheadStr').title=document.compatMode+"   |   "+navigator.userAgent;
    document.getElementById('idAheadStr').firstChild.nodeValue="\u00ABNobiliario Espa\u00F1ol Actual\u00BB , Page Revision "+reviData;
	//
    initNobRefs(); // Seleccion.ORDEN = sNob.OrdenSuces; Seleccion.LLANO=true; Seleccion.REGEX=false; Seleccion.LISTA = Seleccion.llanoSucesion; Seleccion.FILTRO = ""; Seleccion.TCLASE = "";
	initNob4IDS(); 
	//
	if (window.location.search) { evalQuerySelVals(); }
    // 
	document.getElementById('idStats').className=""; // remove load-indicator (throbber)
	document.getElementById('idStats').removeAttribute(/*@if (@_jscript_version < 5.8) "className" @else @*/ "class" /*@end @*/); 
    document.getElementById('idStats').firstChild.nodeValue=/*document.getElementById('idStatusStr').firstChild.nodeValue=*/(sNob.ITEMS)+" titles in Nobiliario-Database, built "+(sNob.NobRev)+((sNob.NobRev.indexOf('?')==-1)?" ~ "+FromToISO2Day(sNob.NobRev):"");
    FAQs = document.getElementById('sourceFAQ').cloneNode(true);
	//
	(/[?&]ac[ct](?:ion)?=/.test(window.location.search)) ? execQuerySelVals() : initSelVals() ;
	//
    for (var i=0; i<document.FORMer.elements.length; i++)
	{
		document.FORMer.elements[i].disabled=false;  // after all enable form elements
	}
}

function initNobRefs() {
    sNob = sNob||Nobiliario;
    sNob.IDREF      = new Object();
	// sNob.IdGoTo     = (window.location.protocol=="http:") ?  "#" : "Nobiliario.xml#" ;
    sNob.TosNum     = new Array(sNob.ITEMS);
    sNob.TMayor     = new Array(sNob.ITEMS);
    sNob.Titulo     = new Array(sNob.ITEMS);
    sNob.Grande     = new Array(sNob.ITEMS);
    sNob.Nombre     = new Array(sNob.ITEMS);
    sNob.OrdenSuces = new Array(sNob.ITEMS);
    sNob.OrdenVerso = new Array(sNob.ITEMS);
    sNob.OrdenEdadS = new Array(sNob.ITEMS);
    var  DiasEdad   = new Array(sNob.ITEMS);
    var  DiasSuces  = new Array(sNob.ITEMS); var fha;
    var  DiasEdadS  = new Array(sNob.ITEMS);
    var  DiasCreac  = new Array(sNob.ITEMS);
    var  DiasGdEsp  = new Array(sNob.ITEMS);
    sNob.EdadAMD    = new Array(sNob.ITEMS);
    sNob.SucesAMD   = new Array(sNob.ITEMS);
    sNob.EdadSuces  = new Array(sNob.ITEMS);
    sNob.CreacAMD   = new Array(sNob.ITEMS);
    sNob.GdEspAMD   = new Array(sNob.ITEMS);
    for (var i=0; i<sNob.ITEMS; i++)
        {
        DiasEdad[i]   = (ISO4Date.test(sNob.Nacencia[i]))?getDuration2Day(RegExp.$1):0;
        DiasSuces[i]  = (ISO4Date.test(sNob.Sucesion[i]))?getDuration2Day(fha=RegExp.$1):0;
        DiasEdadS[i]  = [(DiasEdad[i]&&DiasSuces[i])?DiasEdad[i]-DiasSuces[i]:0,i];
        sNob.EdadAMD[i]   = (DiasEdad[i])?" ~"+FromToISO2Day(sNob.Nacencia[i]):"";
        sNob.SucesAMD[i]  = (DiasSuces[i])?" ~"+FromToISO2Day(fha):"";
        sNob.EdadSuces[i] = (DiasEdadS[i][0])?" (~"+FromToISODate(sNob.Nacencia[i],fha)+")":"";
        DiasCreac[i]  = (ISO4Date.test(sNob.Creacion[i]))?getDuration2Day(fha=RegExp.$1):0;
        sNob.CreacAMD[i] = (DiasCreac[i])?" ~"+FromToISO2Day(fha):"";
        DiasGdEsp[i]  = (ISO4Date.test(sNob.Grandeza[i]))?getDuration2Day(fha=RegExp.$1):0;
        sNob.GdEspAMD[i] = (DiasGdEsp[i])?" ~"+FromToISO2Day(fha):"";
        sNob.NobCls[i] += " "+sNob.CreRdoID[i]+((sNob.GdERdoID[i]&&sNob.GdERdoID[i]!=sNob.CreRdoID[i])?" "+sNob.GdERdoID[i]:"");
        } // END:for
    DiasEdadS.sort(function(el1,el2){ return el2[0]-el1[0]; }); // descending order
    for (var i=0; i<sNob.ITEMS; i++)
        {
        sNob.OrdenSuces[i] = i;
        sNob.OrdenVerso[i] = sNob.ITEMS-1-i;
        sNob.OrdenEdadS[i] = DiasEdadS[i][1];
		sNob.TosNum[i] = parseInt(sNob.Titulos[i],10);
		sNob.TMayor[i] = sNob.NobCls[i].indexOf("TMayor")!=-1;
        sNob.Titulo[i] = sNob.Clase[i]+" "+sNob.Parte[i]+" "+sNob.Denom[i].markIf(sNob.TMayor[i]);
		sNob.Grande[i] = (sNob.Grandeza[i])?sNob.Grandeza[i]+sNob.GdEspAMD[i]+" por "+sNob.GdERdo[i]:"sin GdE";
        sNob.Nombre[i] = sNob.Cortesia[i]+sNob.dePila[i]+" "+sNob.Apellido[i];
		// if (sNob.TMayor[i]) { sNob.NobCls[i] += (sNob.TosNum[i]==1) ? " PsinV" : " PconV" ; }
		// if (!sNob.TMayor[i]&&sNob.TosNum[i]>1) { sNob.NobCls[i] += " VconV" ; }
        sNob.IDREF[sNob.XMLID[i]] = i;
        }
}

function initNob4IDS() { // notas especiales ...!?
	var nRef;
	//~ sNob.Grande[sNob.IDREF["Ducado.Lerma"]]+=" [sub. de la G.za inicial (1.cre.) del M.do de Denia]".mark("span","class='Nota'");
	sNob.Grande[nRef=sNob.IDREF["Ducado.Lerma"]]="sub.".mark("span","class='Nota'")+sNob.Grande[nRef]+" [inicial del M.do de Denia]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Ducado.MedinaRioseco"]]+=" [sub. de la G.za inicial (1.cre.) del C.do de Melgar]".mark("span","class='Nota'");
	sNob.Grande[nRef=sNob.IDREF["Ducado.MedinaRioseco"]]="sub.".mark("span","class='Nota'")+sNob.Grande[nRef]+" [inicial del C.do de Melgar]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Ducado.PenarandaDuero"]]+=" [sub. de la G.za inicial (1.cre.) del C.do de Miranda del Castaar]".mark("span","class='Nota'");
	sNob.Grande[nRef=sNob.IDREF["Ducado.PenarandaDuero"]]="sub.".mark("span","class='Nota'")+sNob.Grande[nRef]+" [inicial del C.do de Miranda del Castaar]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Ducado.Osuna"]]+=" [sub. de la G.za inicial (1.cre.) del C.do de Urea]".mark("span","class='Nota'");
	sNob.Grande[nRef=sNob.IDREF["Ducado.Osuna"]]="sub.".mark("span","class='Nota'")+sNob.Grande[nRef]+" [inicial del C.do de Urea]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Ducado.Infantado"]]+=" [inc. de la G.za inicial (1.cre.) del M.do del Cenete]".mark("span","class='Nota'");
	sNob.Grande[nRef=sNob.IDREF["Ducado.Infantado"]]="inc.".mark("span","class='Nota'")+sNob.Grande[nRef]+" [inicial del M.do del Cenete]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Marquesado.Santillana"]]+=" [rec. de la G.d.E. inmemorial equiv. a la G.za de 1.cre.]".mark("span","class='Nota'");
	sNob.Grande[nRef=sNob.IDREF["Marquesado.Santillana"]]="rec.".mark("span","class='Nota'")+sNob.Grande[nRef]+" [GdE inmemorial]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Marquesado.Cenete"]]+=" [tra. de la G.za inicial (1.cre.) al D.do del Infantado]".mark("span","class='Nota'");
	sNob.Grande[sNob.IDREF["Marquesado.Cenete"]]+=" [tra.GdEPC inicial al D.do del Infantado]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Marquesado.Denia2"]]+=" [ces. de la G.za inicial (1.cre.) por sub. al D.do de Lerma]".mark("span","class='Nota'");
	sNob.Grande[sNob.IDREF["Marquesado.Denia2"]]+=" [ces.GdEPC inicial por sub. al D.do de Lerma]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Condado.Melgar"]]+=" [ces. de la G.za inicial (1.cre.) por sub. al D.do de Medina de Roseco]".mark("span","class='Nota'");
	sNob.Grande[sNob.IDREF["Condado.Melgar"]]+=" [ces.GdEPC inicial por sub. al D.do de Medina de Roseco]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Condado.MirandaCastanar"]]+=" [ces. de la G.za inicial (1.cre.) al D.do de Pearanda de Duero]".mark("span","class='Nota'");
	sNob.Grande[sNob.IDREF["Condado.MirandaCastanar"]]+=" [ces.GdEPC inicial al D.do de Pearanda de Duero]".mark("span","class='Nota'");
	//~ sNob.Grande[sNob.IDREF["Condado.Urena2"]]+=" [ces. de la G.za inicial (1.cre.) al D.do de Osuna]".mark("span","class='Nota'");
	sNob.Grande[sNob.IDREF["Condado.Urena2"]]+=" [ces.GdEPC inicial al D.do de Osuna]".mark("span","class='Nota'");
	//~ ttulo con carcter vitalicio
	//~ sNob.CreRdo[sNob.IDREF["Marquesado.DaliPubol"]]+=" [Ttulo vitalicio a peticin posterior del titular]".mark("span","class='Nota'");
	sNob.CreRdo[sNob.IDREF["Marquesado.Cremenes"]]+=" [Ttulo vitalicio]".mark("span","class='Nota'");
	sNob.CreRdo[sNob.IDREF["Condado.Gisbert"]]+=" [Ttulo vitalicio]".mark("span","class='Nota'");
	sNob.CreRdo[sNob.IDREF["Ducado.Badajoz"]]+=" [Ttulo vitalicio]".mark("span","class='Nota'");
	sNob.CreRdo[sNob.IDREF["Ducado.Lugo"]]+=" [Ttulo vitalicio]".mark("span","class='Nota'");
	sNob.CreRdo[sNob.IDREF["Ducado.PalmaMallorca"]]+=" [Ttulo vitalicio]".mark("span","class='Nota'");
	sNob.CreRdo[sNob.IDREF["Ducado.Soria2"]]+=" [Ttulo vitalicio]".mark("span","class='Nota'");
	//~ 
	//~ Condado.Cazal
	//~ Marquesado.Acillona
}
	
// -----------------------------------------------------------------

function initSelVals() {
    // Seleccion.LLANO
    Seleccion.LLANO=document.FORMer.FLATten.checked;
    // Seleccion.REGEX
    Seleccion.REGEX=document.FORMer.REGEX.checked;
    // Seleccion.ORDEN
    // Seleccion.LISTA
    Seleccion(document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value);
    // Seleccion.FILTRO
    Seleccion(document.FORMer.FILTERs.options[document.FORMer.FILTERs.selectedIndex].value);
    // Seleccion.TCLASE
    Seleccion.filtroClase(document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].value);
}

function execQuerySelVals() {
	var value;
    // Seleccion.LLANO
    switch (getQuery(['simple','s'],'true')) {
		case "on"    : Seleccion.LLANO=true;  break;
		case "off"   : Seleccion.LLANO=false; break;
		case "true"  : Seleccion.LLANO=true;  break;
		case "false" : Seleccion.LLANO=false; break;
		case "null"  : Seleccion.LLANO=false; break;
		case "0"     : Seleccion.LLANO=false; break;
		case "1"     : Seleccion.LLANO=true;  break;
		case "plain" : Seleccion.LLANO="plano"; break;
		case "plano" : Seleccion.LLANO="plano"; break;
		default      : Seleccion.LLANO=true;  break;
	}
    // Seleccion.REGEX
    switch (getQuery(['regex','r'],'false')) {
		case "on"    : Seleccion.REGEX=true;  break;
		case "off"   : Seleccion.REGEX=false; break;
		case "true"  : Seleccion.REGEX=true;  break;
		case "false" : Seleccion.REGEX=false; break;
		case "null"  : Seleccion.REGEX=false; break;
		case "0"     : Seleccion.REGEX=false; break;
		case "1"     : Seleccion.REGEX=true;  break;
		default      : Seleccion.REGEX=false; break;
	}
    // Seleccion.ORDEN
    // Seleccion.LISTA
    Seleccion(getQuery('sel3',document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value));
    // Seleccion.FILTRO
    Seleccion(getQuery('sel2',document.FORMer.FILTERs.options[document.FORMer.FILTERs.selectedIndex].value));
    // Seleccion.TCLASE
	Seleccion.filtroClase(getQuery('sel1',document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].value));
    // Seleccion.BUSCA
    switch (value=getQuery('ac[ct](?:ion)?','0')) {
		case "1"            : 
		case "select"       : Seleccion(getQuery('sel1',document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].value));  break;
		case "2"            :
		case "search"       : print(Seleccion.BUSCAsinFILTROS(getQuery('sel4',document.FORMer.SEARCHin.options[document.FORMer.SEARCHin.selectedIndex].value),getQuery('text',document.FORMer.TEXTer.value))); break;
		case "3"            :
		case "s select"     :
		case "s+select"     : print(Seleccion.BUSCAconFILTROS(getQuery('sel4',document.FORMer.SEARCHin.options[document.FORMer.SEARCHin.selectedIndex].value),getQuery('text',document.FORMer.TEXTer.value))); break;
		case "4"            : 
		case "view"         : Seleccion(getQuery('view',document.FORMer.VIEWer.options[document.FORMer.VIEWer.selectedIndex].value));  break;
		case "TitulosBUSCA" :
		case "TitulosINSTR" :
		case "TitulosCENSO" :
		case "TitulosIDREF" :
		case "TitulosATRIB" :
		case "TitulosLINEA" :
		case "TitulosPLANO" :
		case "TitulosTODOS" : Seleccion(value); break;
		default             : break;
	}
}

function addQuery2URL() {
	(/(\?.*)$/.test(document.FORMer.STATUS.value)) ? window.location.search=RegExp.$1 : window.location.href="Nobiliario.html" ;
}
function addQuery2LOG(action) {
	document.FORMer.STATUS.title=document.FORMer.STATUS.value="http:\/\/unterstein.net\/NobEsp"+evalSelVals(action);
}
function addViews2LOG(action) {
	var value, qstring;
    switch (value=document.FORMer.VIEWer.options[document.FORMer.VIEWer.selectedIndex].value) {
		case "TitulosBUSCA" :
		case "TitulosINSTR" :
		case "TitulosCENSO" : qstring=(action) ? ("?action="+action+"&view="+value) : ("?accion="+value) ; break;
		case "TitulosATRIB" :
		case "TitulosLINEA" :
		case "TitulosPLANO" : qstring=(action) ? ("?action="+action+"&view="+value) : ("?accion="+value) ; qstring+=evalSelRow1(); break;
		case "TitulosTODOS" : qstring=(action) ? ("?action="+action+"&view="+value) : ("?accion="+value) ; qstring+=evalSelRow1({"ord":true,"s":true}); break;
		default             : qstring=""; break;
	}
	document.FORMer.STATUS.title=document.FORMer.STATUS.value=((qstring)?"http:\/\/unterstein.net\/NobEsp":"http:\/\/www.unterstein.net\/NobiliarioEspanol")+qstring;
}

function evalQuerySelVals() {
	var value;
	var selectOpt = function(oForm, value) {
		for (var i=0; i<oForm.length; i++) {
			if (oForm.options[i].value==value) { oForm.selectedIndex=i; return; }  // options[i].selected=true;
		}
	}
	//
    if (value=getQuery('sel1',false)) selectOpt(document.FORMer.SELECTor,value);
    if (value=getQuery('sel2',false)) selectOpt(document.FORMer.FILTERs,value);
    if (value=getQuery('sel3',false)) selectOpt(document.FORMer.SORTer,value);
    if (value=getQuery('text',false)) document.FORMer.TEXTer.value=value;
    if (value=getQuery('sel4',false)) selectOpt(document.FORMer.SEARCHin,value);
    if (value=getQuery('view',false)) selectOpt(document.FORMer.VIEWer,value);
    switch (getQuery(['regex','r'],'false')) {
		case "on"    : document.FORMer.REGEX.checked=true;  break;
		case "off"   : document.FORMer.REGEX.checked=false; break;
		case "true"  : document.FORMer.REGEX.checked=true;  break;
		case "false" : document.FORMer.REGEX.checked=false; break;
		case "null"  : document.FORMer.REGEX.checked=false; break;
		case "0"     : document.FORMer.REGEX.checked=false; break;
		case "1"     : document.FORMer.REGEX.checked=true;  break;
		default      : document.FORMer.REGEX.checked=false; break;
	}
    switch (getQuery(['simple','s'],'true')) {
		case "on"    : document.FORMer.FLATten.checked=true;  break;
		case "off"   : document.FORMer.FLATten.checked=false; break;
		case "true"  : document.FORMer.FLATten.checked=true;  break;
		case "false" : document.FORMer.FLATten.checked=false; break;
		case "null"  : document.FORMer.FLATten.checked=false; break;
		case "0"     : document.FORMer.FLATten.checked=false; break;
		case "1"     : document.FORMer.FLATten.checked=true;  break;
		default      : document.FORMer.FLATten.checked=true;  break;
	}
    //~ switch (value=getQuery('ac[ct](?:ion)?','TitulosDESCR')) {
		//~ case "TitulosDESCR" :
		//~ case "TitulosBUSCA" :
		//~ case "TitulosINSTR" :
		//~ case "TitulosCENSO" :
		//~ case "TitulosURLID" :
		//~ case "TitulosIDREF" :
		//~ case "TitulosATRIB" :
		//~ case "TitulosLINEA" :
		//~ case "TitulosPLANO" :
		//~ case "TitulosTODOS" : selectOpt(document.FORMer.VIEWer,value); break;
		//~ default             : break;
	//~ }
}

function evalSelVals(action) {
    return encodeURI([
	((action||false)?"&action="+action:""),
    ((document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].defaultSelected)?"":"&sel1="+document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].value),
	((document.FORMer.FILTERs.options[document.FORMer.FILTERs.selectedIndex].defaultSelected)?"":"&sel2="+document.FORMer.FILTERs.options[document.FORMer.FILTERs.selectedIndex].value),
	((document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].defaultSelected)?"":"&sel3="+document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value),
    ((document.FORMer.TEXTer.value)?"&text="+document.FORMer.TEXTer.value:""),
	((document.FORMer.SEARCHin.options[document.FORMer.SEARCHin.selectedIndex].defaultSelected)?"":"&sel4="+document.FORMer.SEARCHin.options[document.FORMer.SEARCHin.selectedIndex].value),
    ((document.FORMer.REGEX.checked)?"&regex="+document.FORMer.REGEX.checked:""),
    ((document.FORMer.FLATten.checked)?"":"&simple="+document.FORMer.FLATten.checked)
].join("").replace(/^&/,"?"));
}

function evalSelRow1() { var qN=(arguments.length) ? arguments[0] : {"cls":true,"flt":true,"ord":true} ;
    return encodeURI([
    (!("cls" in qN)||(document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].defaultSelected)?"":"&sel1="+document.FORMer.SELECTor.options[document.FORMer.SELECTor.selectedIndex].value),
	(!("flt" in qN)||(document.FORMer.FILTERs.options[document.FORMer.FILTERs.selectedIndex].defaultSelected)?"":"&sel2="+document.FORMer.FILTERs.options[document.FORMer.FILTERs.selectedIndex].value),
	(!("ord" in qN)||(document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].defaultSelected)?"":"&sel3="+document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value),
    ( ("txt" in qN)&&(document.FORMer.TEXTer.value)?"&text="+document.FORMer.TEXTer.value:""),
	(!("var" in qN)||(document.FORMer.SEARCHin.options[document.FORMer.SEARCHin.selectedIndex].defaultSelected)?"":"&sel4="+document.FORMer.SEARCHin.options[document.FORMer.SEARCHin.selectedIndex].value),
    ( ("r"   in qN)&&(document.FORMer.REGEX.checked)?"&r="+document.FORMer.REGEX.checked:""),
    (!("s"   in qN)||(document.FORMer.FLATten.checked)?"":"&s="+document.FORMer.FLATten.checked)
].join(""));
}

// -----------------------------------------------------------------

function initInsEvent() {
    var oIns = rDiv.getElementsByTagName("ins");
    if (document.addEventListener)
        for (var i=0; i<oIns.length; i++)
        {
        oIns[i].addEventListener('click',execInsEvNew,false);
        }
    else if (window.opera || document.all)
        for (var i=0; i<oIns.length; i++)
        {
        oIns[i].onclick=execInsEvOld;
        }
    alert((oIns.length)?"[##] is active \'onClick\', attached to "+oIns.length+" titles":"no list\/titles or no ##>01, i.e. no related titles");
}
function execInsEvNew(ev) {
    ev.currentTarget.innerHTML="<ol>"+Seleccion.BUSCAconNOMBRES(ev.currentTarget.title)+"<\/ol>";
    ev.stopPropagation(); ev.currentTarget.style.cursor="auto";
    ev.currentTarget.removeEventListener(ev.type,arguments.callee,!ev.bubbles);
}
function execInsEvOld(ev) {
    // ev=ev||window.event; var currentTarget=ev.target||ev.srcElement; currentTarget.innerHTML=Seleccion.BUSCAconNOMBRES(currentTarget.title); (!ev.stopPropagation) ? ev.cancelBubble=true : ev.stopPropagation() ; currentTarget.onclick=null;
    this.innerHTML="<ol>"+Seleccion.BUSCAconNOMBRES(this.title)+"<\/ol>";
    ev=ev||window.event; (!ev.stopPropagation) ? ev.cancelBubble=true : ev.stopPropagation() ;
    this.style.cursor="auto";
    this.onclick=null;
}

// -----------------------------------------------------------------
// make <http://en.wikipedia.org/wiki/Fragment_identifier> work, cf <http://www.w3.org/TR/cuap#uri>
// -----------------------------------------------------------------

function hashIntoView(IdRef) // <http://www.w3.org/TR/cssom-view/#dom-element-scrollintoview>
{
	var ElRef = (IdRef) ? document.getElementById(IdRef.substr(IdRef.indexOf("#")+1)) : false ;
	if (ElRef && ElRef.scrollIntoView) ElRef.scrollIntoView();
}
function nameIntoView(IdRef) 
{
	var ElRef = (IdRef) ? document.getElementsByName(IdRef.substr(IdRef.indexOf("#")+1)) : false ;
	if (ElRef && ElRef.length && ElRef[0].scrollIntoView) ElRef[0].scrollIntoView();
}

// -----------------------------------------------------------------
// some code-compatibility with jsshell.exe (Mozilla's SpiderMonkey)
// -----------------------------------------------------------------

function print(stuff) { rDiv.innerHTML=(stuff) ? "<ol>"+stuff+"<\/ol>end|fin" : FOEs+"<hr\/>"+TIPs+"<hr\/>"+KEYs ; if (stuff) hashIntoView(window.location.hash); }

// -----------------------------------------------------------------
// -----------------------------------------------------------------
// -----------------------------------------------------------------

function Seleccion(fn) {
    void((Seleccion[fn]&&(typeof(Seleccion[fn])=='function'))&&Seleccion[fn]());
}

// -----------------------------------------------------------------

Seleccion.nada = function() {
    with (rDiv) { while (hasChildNodes()) { void(removeChild(lastChild)); } }
    rDiv.appendChild(document.createTextNode('Result(s) removed by "reset". Press "view" to (re-) display usage info.'));
    Seleccion.ORDEN=sNob.OrdenSuces;
    Seleccion.LISTA=Seleccion.llanoSucesion;
    Seleccion.LLANO=true;
    Seleccion.REGEX=false;
    Seleccion.TCLASE="";
    Seleccion.FILTRO="";
}

Seleccion.ordenNombre       = function() { Seleccion.ORDEN=sNob.OrdenNombre; Seleccion.LISTA={ "true":Seleccion.llanoNombre,       "false":Seleccion.listaNombre,       "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenNacimiento   = function() { Seleccion.ORDEN=sNob.OrdenNacen;  Seleccion.LISTA={ "true":Seleccion.llanoNacimiento,   "false":Seleccion.listaNacimiento,   "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenDenominacion = function() { Seleccion.ORDEN=sNob.OrdenDenom;  Seleccion.LISTA={ "true":Seleccion.llanoDenominacion, "false":Seleccion.listaDenominacion, "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenCreacion     = function() { Seleccion.ORDEN=sNob.OrdenCreac;  Seleccion.LISTA={ "true":Seleccion.llanoCreacion,     "false":Seleccion.listaCreacion,     "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenGrandeza     = function() { Seleccion.ORDEN=sNob.OrdenGdEsp;  Seleccion.LISTA={ "true":Seleccion.llanoGrandeza,     "false":Seleccion.listaGrandeza,     "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenSucesion     = function() { Seleccion.ORDEN=sNob.OrdenSuces;  Seleccion.LISTA={ "true":Seleccion.llanoSucesion,     "false":Seleccion.listaSucesion,     "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenSucVerso     = function() { Seleccion.ORDEN=sNob.OrdenVerso;  Seleccion.LISTA={ "true":Seleccion.llanoSucesion,     "false":Seleccion.listaSucesion,     "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenNumero       = function() { Seleccion.ORDEN=sNob.OrdenNumero; Seleccion.LISTA={ "true":Seleccion.llanoNumero,       "false":Seleccion.listaNumero,       "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }
Seleccion.ordenEdadS        = function() { Seleccion.ORDEN=sNob.OrdenEdadS;  Seleccion.LISTA={ "true":Seleccion.llanoEdadS,        "false":Seleccion.listaEdadS,        "plano":Seleccion.LISTAfichaPlano }[Seleccion.LLANO.toString()]; }

Seleccion.filtroTAra   = function() { Seleccion.FILTRO="Aragon"; }
Seleccion.filtroTAus   = function() { Seleccion.FILTRO="Austria"; }
Seleccion.filtroTBar   = function() { Seleccion.FILTRO="Barcelona"; }
Seleccion.filtroTCas   = function() { Seleccion.FILTRO="Castilla"; }
Seleccion.filtroTCer   = function() { Seleccion.FILTRO="Cerdena"; }
Seleccion.filtroTEsp   = function() { Seleccion.FILTRO="Espana"; }
Seleccion.filtroTEspB  = function() { Seleccion.FILTRO="Bonaparte"; }
Seleccion.filtroTEspC  = function() { Seleccion.FILTRO="Carlista"; }
Seleccion.filtroTEspF  = function() { Seleccion.FILTRO="Franco"; }
Seleccion.filtroTEspGP = function() { Seleccion.FILTRO="Provisional"; }
Seleccion.filtroTEspI  = function() { Seleccion.FILTRO="EspanaIndias"; }
Seleccion.filtroTEspP  = function() { Seleccion.FILTRO="Pretendiente"; }
Seleccion.filtroTfeud  = function() { Seleccion.FILTRO="Feudal"; }
Seleccion.filtroTFla   = function() { Seleccion.FILTRO="Flandes"; }
Seleccion.filtroTFra   = function() { Seleccion.FILTRO="Francia"; }
Seleccion.filtroTInd   = function() { Seleccion.FILTRO="Indias"; }
Seleccion.filtroTIng   = function() { Seleccion.FILTRO="Inglaterra"; }
Seleccion.filtroTIta   = function() { Seleccion.FILTRO="Italia"; }
Seleccion.filtroTLuc   = function() { Seleccion.FILTRO="Lucca"; }
Seleccion.filtroTMal   = function() { Seleccion.FILTRO="Mallorca"; }
Seleccion.filtroTMco   = function() { Seleccion.FILTRO="Mexico"; }
Seleccion.filtroTMil   = function() { Seleccion.FILTRO="Milan"; }
Seleccion.filtroTNap   = function() { Seleccion.FILTRO="Napoles"; }
Seleccion.filtroTNav   = function() { Seleccion.FILTRO="Navarra"; }
Seleccion.filtroTPor   = function() { Seleccion.FILTRO="Portugal"; }
Seleccion.filtroTRC    = function() { Seleccion.FILTRO="ReyesCatolicos"; }
Seleccion.filtroTRCI   = function() { Seleccion.FILTRO="AragonCastillaIndias"; }
Seleccion.filtroTDS    = function() { Seleccion.FILTRO="DosSicilias"; }
Seleccion.filtroTSic   = function() { Seleccion.FILTRO=".Sicilia"; }
Seleccion.filtroTSIR   = function() { Seleccion.FILTRO="SacroImperio"; }
Seleccion.filtroTSM    = function() { Seleccion.FILTRO="SanMarino"; }
Seleccion.filtroTSS    = function() { Seleccion.FILTRO="SantaSede"; }
Seleccion.filtroTod    = function() { Seleccion.FILTRO="NN.NN"; }

Seleccion.filtroRJC1   = function() { Seleccion.FILTRO="JuanCarlosI."; }
Seleccion.filtroRFpe6  = function() { Seleccion.FILTRO="FelipeVI."; }

Seleccion.filtroNada = function() { Seleccion.FILTRO=""; }
Seleccion.filtroTodos = function() { Seleccion.FILTRO=""; }
Seleccion.filtroOcupado = function() { Seleccion.FILTRO=" TM"; }
Seleccion.filtroMayor = function() { Seleccion.FILTRO="TMayor"; }
Seleccion.filtroMayorMujer = function() { Seleccion.FILTRO="TMayor Mujer"; }
Seleccion.filtroMayorVaron = function() { Seleccion.FILTRO="TMayor Varon"; }
Seleccion.filtroMenor = function() { Seleccion.FILTRO="TMenor"; }
Seleccion.filtroMenorMujer = function() { Seleccion.FILTRO="TMenor Mujer"; }
Seleccion.filtroMenorVaron = function() { Seleccion.FILTRO="TMenor Varon"; }
Seleccion.filtroMujer = function() { Seleccion.FILTRO="Mujer"; }
Seleccion.filtroVaron = function() { Seleccion.FILTRO="Varon"; }
Seleccion.filtroNoOcupado = function() { Seleccion.FILTRO="Titu"; }
Seleccion.filtroElecto = function() { Seleccion.FILTRO="TituEle"; }
Seleccion.filtroVacante = function() { Seleccion.FILTRO="TituVac"; }
Seleccion.filtroCancelado = function() { Seleccion.FILTRO="TituCan"; }
Seleccion.filtroAnulado = function() { Seleccion.FILTRO="TituAnu"; }
Seleccion.filtroCaducado = function() { Seleccion.FILTRO="TituCad"; }
Seleccion.filtroSuprimido = function() { Seleccion.FILTRO="TituSup"; }
Seleccion.filtroRevertido = function() { Seleccion.FILTRO="TituRev"; }
Seleccion.filtroExtinguido = function() { Seleccion.FILTRO="TituExt"; }
Seleccion.filtroRenunciado = function() { Seleccion.FILTRO="TituRen"; }
Seleccion.filtroCedido = function() { Seleccion.FILTRO="cesGdEPC"; }
Seleccion.filtroIncorporado = function() { Seleccion.FILTRO="incGdEPC"; }
Seleccion.filtroReconocido = function() { Seleccion.FILTRO="recGdEPC"; }
Seleccion.filtroSubrogado = function() { Seleccion.FILTRO="subGdEPC"; }
Seleccion.filtroTransferido = function() { Seleccion.FILTRO="traGdEPC"; }
Seleccion.filtroConGdE = function() { Seleccion.FILTRO="conGdE"; }
Seleccion.filtroConGdEPC = function() { Seleccion.FILTRO="conGdEPC"; }
Seleccion.filtroConGdE1a = function() { Seleccion.FILTRO="conGdE1a"; }
Seleccion.filtroConGdE2a = function() { Seleccion.FILTRO="conGdE2a"; }
Seleccion.filtroConGdE3a = function() { Seleccion.FILTRO="conGdE3a"; }
Seleccion.filtroIniGdEPC = function() { Seleccion.FILTRO="GdEPC"; }
Seleccion.filtroSinGdE = function() { Seleccion.FILTRO="sinGdE"; }
Seleccion.filtroCumulo = function() { Seleccion.FILTRO="conV"; }
Seleccion.filtroPconV = function() { Seleccion.FILTRO="PconV"; }
Seleccion.filtroPsinV = function() { Seleccion.FILTRO="PsinV"; }
Seleccion.filtroClase = function(Clase) {
    switch (Clase) {
    case "clasePrincipados"   : Seleccion.TCLASE="Princ";           break;
    case "clasePrincipes"     : Seleccion.TCLASE="Principe";        break;
    case "clasePrincesas"     : Seleccion.TCLASE="Princesa";        break;
    case "claseDucados"       : Seleccion.TCLASE="Du";              break;
    case "claseDuques"        : Seleccion.TCLASE="Duque ";          break;
    case "claseDuquesas"      : Seleccion.TCLASE="Duquesa";         break;
    case "claseMarquesados"   : Seleccion.TCLASE="Marques";         break;
    case "claseMarqueses"     : Seleccion.TCLASE="Marques ";        break;
    case "claseMarquesas"     : Seleccion.TCLASE="Marquesa ";       break;
    case "claseCondados"      : Seleccion.TCLASE="Cond";            break;
    case "claseCondes"        : Seleccion.TCLASE="Conde ";          break;
    case "claseCondesas"      : Seleccion.TCLASE="Condesa";         break;
    case "claseVizcondados"   : Seleccion.TCLASE="Vizcond";         break;
    case "claseVizcondes"     : Seleccion.TCLASE="Vizconde ";       break;
    case "claseVizcondesas"   : Seleccion.TCLASE="Vizcondesa";      break;
    case "claseBaronias"      : Seleccion.TCLASE="Baron";           break;
    case "claseBarones"       : Seleccion.TCLASE="Baron ";          break;
    case "claseBaronesas"     : Seleccion.TCLASE="Baronesa";        break;
    case "claseSenorios"      : Seleccion.TCLASE="Senor";           break;
    case "claseSenores"       : Seleccion.TCLASE="Senor ";          break;
    case "claseSenoras"       : Seleccion.TCLASE="Senora";          break;
    case "claseGrandezas"     : Seleccion.TCLASE="Grande";          break;
    case "claseGrandes"       : Seleccion.TCLASE="Grande ";         break;
    case "claseGrandesas"     : Seleccion.TCLASE="Grandesa";        break;
    case "claseMariscalatos"  : Seleccion.TCLASE="Mariscal";        break;
    case "claseMariscales"    : Seleccion.TCLASE="Mariscal ";       break;
    case "claseMariscalas"    : Seleccion.TCLASE="Mariscala ";      break;
    case "claseAlmirantazgos" : Seleccion.TCLASE="Almirant";        break;
    case "claseAlmirantes"    : Seleccion.TCLASE="Almirante";       break;
    case "claseAlmirantas"    : Seleccion.TCLASE="Almiranta ";      break;
    case "claseAdelantados"   : Seleccion.TCLASE="Adelantado";      break;
    case "claseAdelantadas"   : Seleccion.TCLASE="Adelantada";      break;
    case "claseAdelantamientos"  : Seleccion.TCLASE="Adelant";      break;
    case "claseConDucados"    : Seleccion.TCLASE=" Du";             break;
    case "claseConDuques"     : Seleccion.TCLASE="Conde Duque";     break;
    case "claseConDuquesas"   : Seleccion.TCLASE="Condesa Duquesa"; break;
    case "claseConGdE"        : Seleccion.TCLASE="conGdE";          break;
    case "claseSinGdE"        : Seleccion.TCLASE="sinGdE";          break;
    case "claseOcupados"      : Seleccion.TCLASE=" TM";             break;
    case "claseNoOcupados"    : Seleccion.TCLASE="Titu";            break;
    case "claseMayores"       : Seleccion.TCLASE="TMayor";          break;
    case "claseMenores"       : Seleccion.TCLASE="TMenor";          break;
    case "clasePconV"         : Seleccion.TCLASE="PconV";           break;
    case "clasePsinV"         : Seleccion.TCLASE="PsinV";           break;
    case "claseTitulos"       : Seleccion.TCLASE="";                break;
    case "filtroNada"         : Seleccion[Clase](); break;
    case "filtroTodos"        : Seleccion[Clase](); break;
    case "filtroOcupado"      : Seleccion[Clase](); break;
    case "filtroMayor"        : Seleccion[Clase](); break;
    case "filtroMayorMujer"   : Seleccion[Clase](); break;
    case "filtroMayorVaron"   : Seleccion[Clase](); break;
    case "filtroMenor"        : Seleccion[Clase](); break;
    case "filtroMenorMujer"   : Seleccion[Clase](); break;
    case "filtroMenorVaron"   : Seleccion[Clase](); break;
    case "filtroMujer"        : Seleccion[Clase](); break;
    case "filtroVaron"        : Seleccion[Clase](); break;
    case "filtroNoOcupado"    : Seleccion[Clase](); break;
    case "filtroElecto"       : Seleccion[Clase](); break;
    case "filtroVacante"      : Seleccion[Clase](); break;
    case "filtroCancelado"    : Seleccion[Clase](); break;
    case "filtroAnulado"      : Seleccion[Clase](); break;
    case "filtroCaducado"     : Seleccion[Clase](); break;
    case "filtroSuprimido"    : Seleccion[Clase](); break;
    case "filtroRevertido"    : Seleccion[Clase](); break;
    case "filtroExtinguido"   : Seleccion[Clase](); break;
    case "filtroRenunciado"   : Seleccion[Clase](); break;
    case "filtroCedido"       : Seleccion[Clase](); break;
    case "filtroIncorporado"  : Seleccion[Clase](); break;
    case "filtroReconocido"   : Seleccion[Clase](); break;
    case "filtroSubrogado"    : Seleccion[Clase](); break;
    case "filtroTransferido"  : Seleccion[Clase](); break;
    case "filtroConGdE"       : Seleccion[Clase](); break;
    case "filtroConGdEPC"     : Seleccion[Clase](); break;
    case "filtroConGdE1a"     : Seleccion[Clase](); break;
    case "filtroConGdE2a"     : Seleccion[Clase](); break;
    case "filtroConGdE3a"     : Seleccion[Clase](); break;
    case "filtroIniGdEPC"     : Seleccion[Clase](); break;
    case "filtroSinGdE"       : Seleccion[Clase](); break;
    case "filtroCumulo"       : Seleccion[Clase](); break;
    case "filtroPconV"        : Seleccion[Clase](); break;
    case "filtroPsinV"        : Seleccion[Clase](); break;
    case "ordenNombre"        : Seleccion[Clase](); break;
    case "ordenNacimiento"    : Seleccion[Clase](); break;
    case "ordenDenominacion"  : Seleccion[Clase](); break;
    case "ordenCreacion"      : Seleccion[Clase](); break;
    case "ordenGrandeza"      : Seleccion[Clase](); break;
    case "ordenSucesion"      : Seleccion[Clase](); break;
    case "ordenSucVerso"      : Seleccion[Clase](); break;
    case "ordenNumero"        : Seleccion[Clase](); break;
    case "ordenEdadS"         : Seleccion[Clase](); break;
    case "filtroTAra"         : Seleccion[Clase](); break;
    case "filtroTAus"         : Seleccion[Clase](); break;
    case "filtroTBar"         : Seleccion[Clase](); break;
    case "filtroTCas"         : Seleccion[Clase](); break;
    case "filtroTCer"         : Seleccion[Clase](); break;
    case "filtroTEsp"         : Seleccion[Clase](); break;
    case "filtroTEspB"        : Seleccion[Clase](); break;
    case "filtroTEspC"        : Seleccion[Clase](); break;
    case "filtroTEspF"        : Seleccion[Clase](); break;
    case "filtroTEspGP"       : Seleccion[Clase](); break;
    case "filtroTEspI"        : Seleccion[Clase](); break;
    case "filtroTEspP"        : Seleccion[Clase](); break;
    case "filtroTfeud"        : Seleccion[Clase](); break;
    case "filtroTFla"         : Seleccion[Clase](); break;
    case "filtroTFra"         : Seleccion[Clase](); break;
    case "filtroTInd"         : Seleccion[Clase](); break;
    case "filtroTIng"         : Seleccion[Clase](); break;
    case "filtroTIta"         : Seleccion[Clase](); break;
    case "filtroTLuc"         : Seleccion[Clase](); break;
    case "filtroTMal"         : Seleccion[Clase](); break;
    case "filtroTMco"         : Seleccion[Clase](); break;
    case "filtroTMil"         : Seleccion[Clase](); break;
    case "filtroTNap"         : Seleccion[Clase](); break;
    case "filtroTNav"         : Seleccion[Clase](); break;
    case "filtroTPor"         : Seleccion[Clase](); break;
    case "filtroTRC"          : Seleccion[Clase](); break;
    case "filtroTRCI"         : Seleccion[Clase](); break;
    case "filtroTDS"          : Seleccion[Clase](); break;
    case "filtroTSic"         : Seleccion[Clase](); break;
    case "filtroTSIR"         : Seleccion[Clase](); break;
    case "filtroTSM"          : Seleccion[Clase](); break;
    case "filtroTSS"          : Seleccion[Clase](); break;
    case "filtroTod"          : Seleccion[Clase](); break;
    case "filtroRJC1"         : Seleccion[Clase](); break;
    case "filtroRFpe6"        : Seleccion[Clase](); break;
    default :
        Seleccion.TCLASE="";
        Seleccion.FILTRO="";
        Seleccion.ordenSucesion();
        break;
    }
}

Seleccion.claseTitulos = function() { print(Seleccion.BUSCA("NobCls","")); }
Seleccion.claseMayores = function() { print(Seleccion.BUSCA("NobCls","TMayor")); }
Seleccion.claseMenores = function() { print(Seleccion.BUSCA("NobCls","TMenor")); }
Seleccion.clasePrincipados = function() { print(Seleccion.BUSCA("NobCls","Princ")); }
Seleccion.clasePrincipes = function() { print(Seleccion.BUSCA("NobCls","Principe")); }
Seleccion.clasePrincesas = function() { print(Seleccion.BUSCA("NobCls","Princesa")); }
Seleccion.claseDucados = function() { print(Seleccion.BUSCA("NobCls","Du")); }
Seleccion.claseDuques = function() { print(Seleccion.BUSCA("NobCls","Duque ")); }
Seleccion.claseDuquesas = function() { print(Seleccion.BUSCA("NobCls","Duquesa")); }
Seleccion.claseMarquesados = function() { print(Seleccion.BUSCA("NobCls","Marques")); }
Seleccion.claseMarqueses = function() { print(Seleccion.BUSCA("NobCls","Marques ")); }
Seleccion.claseMarquesas = function() { print(Seleccion.BUSCA("NobCls","Marquesa ")); }
Seleccion.claseCondados = function() { print(Seleccion.BUSCA("NobCls","Cond")); }
Seleccion.claseCondes = function() { print(Seleccion.BUSCA("NobCls","Conde ")); }
Seleccion.claseCondesas = function() { print(Seleccion.BUSCA("NobCls","Condesa")); }
Seleccion.claseVizcondados = function() { print(Seleccion.BUSCA("NobCls","Vizcond")); }
Seleccion.claseVizcondes = function() { print(Seleccion.BUSCA("NobCls","Vizconde ")); }
Seleccion.claseVizcondesas = function() { print(Seleccion.BUSCA("NobCls","Vizcondesa")); }
Seleccion.claseBaronias = function() { print(Seleccion.BUSCA("NobCls","Baron")); }
Seleccion.claseBarones = function() { print(Seleccion.BUSCA("NobCls","Baron ")); }
Seleccion.claseBaronesas = function() { print(Seleccion.BUSCA("NobCls","Baronesa")); }
Seleccion.claseSenorios = function() { print(Seleccion.BUSCA("NobCls","Senor")); }
Seleccion.claseSenores = function() { print(Seleccion.BUSCA("NobCls","Senor ")); }
Seleccion.claseSenoras = function() { print(Seleccion.BUSCA("NobCls","Senora")); }
Seleccion.claseGrandezas = function() { print(Seleccion.BUSCA("NobCls","Grande")); }
Seleccion.claseGrandes = function() { print(Seleccion.BUSCA("NobCls","Grande ")); }
Seleccion.claseGrandesas = function() { print(Seleccion.BUSCA("NobCls","Grandesa")); }
Seleccion.claseMariscalatos = function() { print(Seleccion.BUSCA("NobCls","Mariscal")); }
Seleccion.claseMariscales = function() { print(Seleccion.BUSCA("NobCls","Mariscal ")); }
Seleccion.claseMariscalas = function() { print(Seleccion.BUSCA("NobCls","Mariscala ")); }
Seleccion.claseAlmirantazgos = function() { print(Seleccion.BUSCA("NobCls","Almirant")); }
Seleccion.claseAlmirantes = function() { print(Seleccion.BUSCA("NobCls","Almirante")); }
Seleccion.claseAlmirantas = function() { print(Seleccion.BUSCA("NobCls","Almiranta ")); }
Seleccion.claseAdelantados = function() { print(Seleccion.BUSCA("NobCls","Adelantado")); }
Seleccion.claseAdelantadas = function() { print(Seleccion.BUSCA("NobCls","Adelantada")); }
Seleccion.claseAdelantamientos = function() { print(Seleccion.BUSCA("NobCls","Adelant")); }
Seleccion.claseConDucados = function() { print(Seleccion.BUSCA("NobCls"," Du")); }
Seleccion.claseConDuques = function() { print(Seleccion.BUSCA("NobCls","Conde Duque")); }
Seleccion.claseConDuquesas = function() { print(Seleccion.BUSCA("NobCls","Condesa Duquesa")); }
Seleccion.claseConGdE = function() { print(Seleccion.BUSCA("NobCls","conGdE")); }
Seleccion.claseSinGdE = function() { print(Seleccion.BUSCA("NobCls","sinGdE")); }
Seleccion.claseOcupados = function() { print(Seleccion.BUSCA("NobCls"," TM")); }
Seleccion.claseNoOcupados = function() { print(Seleccion.BUSCA("NobCls","Titu")); }
Seleccion.clasePconV = function() { print(Seleccion.BUSCA("NobCls","PconV")); }
Seleccion.clasePsinV = function() { print(Seleccion.BUSCA("NobCls","PsinV")); }

// -----------------------------------------------------------------
// -----------------------------------------------------------------
// -----------------------------------------------------------------

Seleccion.filtroNobCls = function(IDX,FIL) {
    return (sNob.NobCls[Seleccion.ORDEN[IDX]].indexOf(FIL)!=-1);
}

Seleccion.BUSCA = function(DONDE,QUE) {
    var rSrc = new resultSrc();
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if ((sNob[DONDE][Seleccion.ORDEN[i]].indexOf(QUE)!=-1)&&Seleccion.filtroNobCls(i,Seleccion.FILTRO))
        rSrc.updateSrc(Seleccion.LISTA(Seleccion.ORDEN[i]));
    }
    return rSrc.returnSrc();
}

Seleccion.BUSCAconFILTROS = function(DONDE,QUE) {
    var rSrc = new resultSrc();
	// ------------------------
	// ------------------------
	if (Seleccion.REGEX) {
		try { //
			var pattern = new RegExp(); pattern.compile(QUE);
			for (var i=0; i<sNob.ITEMS; i++)
			{
			if (Seleccion.filtroNobCls(i,Seleccion.TCLASE)&&Seleccion.filtroNobCls(i,Seleccion.FILTRO)&&pattern.test(sNob[DONDE][Seleccion.ORDEN[i]]))
				rSrc.updateSrc(Seleccion.LISTA(Seleccion.ORDEN[i]));
			}
		}
		catch (failure) { rSrc.updateSrc("<li>Error: Regular Expression not computable ["+failure+"]<\/li>"); }
		finally  { return rSrc.returnSrc(); }
	} 
	// ------------------------
	// ------------------------
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if ((sNob[DONDE][Seleccion.ORDEN[i]].indexOf(QUE)!=-1)&&Seleccion.filtroNobCls(i,Seleccion.TCLASE)&&Seleccion.filtroNobCls(i,Seleccion.FILTRO))
        rSrc.updateSrc(Seleccion.LISTA(Seleccion.ORDEN[i]));
    }
    return rSrc.returnSrc();
}

Seleccion.BUSCAsinFILTROS = function(DONDE,QUE) {
    var rSrc = new resultSrc();
	// ------------------------
	// ------------------------
	if (Seleccion.REGEX) {
		try { // noop Opera: var pattern = (new RegExp()).compile(QUE);
			var pattern = new RegExp(); pattern.compile(QUE);
			for (var i=0; i<sNob.ITEMS; i++)
			{
			if (pattern.test(sNob[DONDE][Seleccion.ORDEN[i]]))
				rSrc.updateSrc(Seleccion.LISTA(Seleccion.ORDEN[i]));
			}
		}
		catch (failure) { rSrc.updateSrc("<li>Error: Regular Expression not computable ["+failure+"]<\/li>"); }
		finally  { return rSrc.returnSrc(); }
	} 
	// ------------------------
	// ------------------------
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if (sNob[DONDE][Seleccion.ORDEN[i]].indexOf(QUE)!=-1)
        rSrc.updateSrc(Seleccion.LISTA(Seleccion.ORDEN[i]));
    }
    return rSrc.returnSrc();
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------

Seleccion.BUSCAvinculados = function(IDX) {
    var rSrc = new resultSrc();
    var iQUE = (sNob.XLINK[IDX])?sNob.XLINK[IDX].slice(1):sNob.XMLID[IDX];
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if (sNob.XMLID[Seleccion.ORDEN[i]]==iQUE||sNob.XLINK[Seleccion.ORDEN[i]]=="#"+iQUE)
        rSrc.updateSrc(Seleccion.LISTAvinculados(Seleccion.ORDEN[i]));
    }
    return emphasize(rSrc.returnSrc());
}

Seleccion.BUSCAconNOMBRES = function(IDX) {
    var rSrc = new resultSrc();
    var iNOM = sNob.Nombre[IDX];
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if (sNob.Nombre[Seleccion.ORDEN[i]]==iNOM)
        rSrc.updateSrc(Seleccion.LISTAvinculados(Seleccion.ORDEN[i]));
    }
    return emphasize(rSrc.returnSrc());
}

Seleccion.LISTAvinculados = function(IDX) {
    return [
		"<li>",
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        "<br \/>\u2022\t"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        " : "+sNob.Grande[IDX],
        "<br \/>\u2022\t"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+sNob.EdadSuces[IDX],
        "<\/li>"
        ].join("");
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------

Seleccion.TitulosATRIB = function() {
    var iOrd ;
    var rSrc = new resultSrc();
    for (var i=0; i<sNob.ITEMS; i++)
    {
    iOrd=Seleccion.ORDEN[i];
    if (Seleccion.filtroNobCls(i,Seleccion.TCLASE)&&Seleccion.filtroNobCls(i,Seleccion.FILTRO))
    rSrc.updateSrc([
        "<li class=\""+sNob.NobCls[iOrd]+"\" id=\""+sNob.XMLID[iOrd]+"\">",
        "<span class=\"Denom\">"+sNob.Denom[iOrd]+"<\/span>, ",
        "<span class=\"ATTRS\"> pos.<a href=\"Nobiliario.xml#xmlns(ah=urn:xmlns:adhoc)xpath1(\/\/ah:list[1]\/ah:item["+(iOrd+1)+"])element(\/1\/2\/1\/"+(iOrd+1)+")\">"+(iOrd+1)+"<\/a>  xhtml:class=\""+sNob.NobCls[iOrd]+"\"",
		"<br\/>",
		"\u00A0 "+"xptr".link("Nobiliario.xml#xpointer(id('"+sNob.XMLID[iOrd]+"'))")+"("+"xml".link("Nobiliario.xml#"+sNob.XMLID[iOrd])+":id=\""+sNob.XMLID[iOrd].link("#"+sNob.XMLID[iOrd])+"\")",
		((sNob.XLINK[iOrd])?"  "+"xptr".link("Nobiliario.xml#xpointer(id('"+sNob.XLINK[iOrd].slice(1)+"'))")+"("+"xlink".link("Nobiliario.xml"+sNob.XLINK[iOrd])+":href=\""+sNob.XLINK[iOrd].link(sNob.XLINK[iOrd])+"\")":""),
		"<\/span>",
        ((sNob.TosNum[iOrd]<2)?"":" <ins title=\""+iOrd+"\">["+sNob.Titulos[iOrd]+"]<\/ins>"),
        "<\/li>"  //  #xmlns(ah=urn:xmlns:adhoc)xpointer(\/\/ah:list[1]\/ah:item["+(iOrd+1)+"])xpath1(\/\/ah:list[1]\/ah:item["+(iOrd+1)+"])element(\/1\/2\/1\/"+(iOrd+1)+")  
        ].join(""));
    }
    print((rSrc.returnSrc()).replace(/ href="[^#]/gi," target=\"two\"$&"));
}
//~ "pos."+(iOrd+1).link("Nobiliario.xml#xmlns(ah=urn:xmlns:adhoc)xpath1(\/\/ah:list[1]\/ah:item["+(iOrd+1)+"])element(\/1\/2\/1\/"+(iOrd+1)+")")


// -----------------------------------------------------------------
// -----------------------------------------------------------------

Seleccion.TitulosLINEA = function() {
    var rSrc = new resultSrc();    rSrc.updateSrc("");
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if (Seleccion.filtroNobCls(i,Seleccion.TCLASE)&&Seleccion.filtroNobCls(i,Seleccion.FILTRO))
        rSrc.Source[rSrc.Source.length]=rSrc.Source.length+" : "+Seleccion.LISTAenLINEA(Seleccion.ORDEN[i]);
    }
    rDiv.innerHTML="<pre xml:space='preserve' style='width:95%;overflow:hidden;border-right:1px dotted darkgray;'><\/pre>end|fin";
    rDiv.firstChild.appendChild(document.createTextNode(rSrc.returnSrc(/*@if (@_jscript) "\r\n" @else @*/ "\n" /*@end @*/).replace(/<\/?[^>]+>/gi,"")));
}

Seleccion.LISTAenLINEA = function(IDX) {
    return [
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]
        ].join(" : ");
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------

Seleccion.TitulosTODOS = function() {
    var rSrc = new resultSrc();
    for (var i=0; i<sNob.ITEMS; i++)
    {
    rSrc.updateSrc(Seleccion.LISTA(Seleccion.ORDEN[i]));
    }
    print(rSrc.returnSrc());
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------

Seleccion.TitulosPLANO = function() {
	//~ Seleccion.LLANO="plano";
	//~ Seleccion(document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value);
	// ------------------------
	// ------------------------
    var rSrc = new resultSrc();
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if (Seleccion.filtroNobCls(i,Seleccion.TCLASE)&&Seleccion.filtroNobCls(i,Seleccion.FILTRO))
        rSrc.updateSrc(Seleccion.LISTAfichaPlano(Seleccion.ORDEN[i]));
    }
    print(emphasize(rSrc.returnSrc())); 
	// ------------------------
	// ------------------------
	//~ Seleccion.LLANO=document.FORMer.FLATten.checked;
	//~ Seleccion(document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value);
}

function emphasize(stuff) { // enfatizar
	var OrdEM = document.FORMer.SORTer.options[document.FORMer.SORTer.selectedIndex].value;
	var RegEM = {
		//~ "todasFechas":/[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/g,
		//~ "todasDuraciones":/~[0-9amd]+\b/g,
		"ordenNombre":/(?:Don|Do\u00F1a)[^\r\n]+/g,
		"ordenNacimiento":/\*[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/g,
		"ordenCreacion":/cre\.[a-z.A-Z]+\.[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/g,
		"ordenGrandeza":/GdE[a-z.A-Z123]+\.[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/g,
		"ordenSucesion":/(?:ocu|vac|cad)\.[a-z.A-Z]+\.[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/g,
		"ordenSucVerso":/(?:ocu|vac|cad)\.[a-z.A-Z]+\.[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/g,
		"ordenNumero":/[0-9?]{1,2}[\u00B0\u00BA\u00AA]/g,
		"ordenEdadS":/\(~[0-9amd]+\)/g
	};
	return (OrdEM in RegEM) ? stuff.replace(RegEM[OrdEM],"<em>$&<\/em>") : stuff ;
}

Seleccion.BUSCAvincuPlano = function(IDX) {
    var rSrc = new resultSrc();
    var iNOM = sNob.Nombre[IDX];
    for (var i=0; i<sNob.ITEMS; i++)
    {
    if (sNob.Nombre[Seleccion.ORDEN[i]]==iNOM)
        rSrc.Source[rSrc.Source.length]=/*@if (@_jscript) "\r\n" @else @*/ "\n" /*@end @*/+(rSrc.Source.length+1)+".\t"+Seleccion.LISTAvincuPlano(Seleccion.ORDEN[i]);
    }
    return rSrc.returnSrc();
}

Seleccion.LISTAvincuPlano = function(IDX) {
	return [
		"vase".link("#"+sNob.XMLID[IDX]),
		((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
	    // sNob.Creacion[IDX]+sNob.CreacAMD[IDX],
		sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+sNob.EdadSuces[IDX]
		].join(" \u00B7 ");
}

Seleccion.LISTAfichaPlano = function(IDX) {
	return [
		"<li><pre>"+((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 ":"")+sNob.Titulo[IDX].aIDREF(sNob.XMLID[IDX],"#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?" \u00B7 "+"vase".link(sNob.XLINK[IDX])+" ppal.\/total "+sNob.TosNum[IDX]:""),
		sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+((sNob.Grandeza[IDX])?" \u00B7 con ":" \u00B7 ")+sNob.Grande[IDX],
		sNob.Nombre[IDX],
		sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+" \u00B7 *"+sNob.Nacencia[IDX]+((sNob.EdadAMD[IDX])?" \u00B7 edad (a sucesin)"+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]:""),
		((sNob.TMayor[IDX]&&sNob.TosNum[IDX]>1)?"TTULOS EN TOTAL: "+sNob.TosNum[IDX]+Seleccion.BUSCAvincuPlano(IDX)+"<\/pre><\/li>":"<\/pre><\/li>")
		].join(/*@if (@_jscript) "\r\n" @else @*/ "\n" /*@end @*/);
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------
// -----------------------------------------------------------------
// -----------------------------------------------------------------
Seleccion.llanoNombre = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>"+sNob.Apellido[IDX]+"<\/em>, "+sNob.Cortesia[IDX]+sNob.dePila[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaNombre = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        "<span class=\"Apellido EM\">"+sNob.Apellido[IDX]+"<\/span> : ",
        ((sNob.Numero[IDX])?" <span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> ",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span>",
        "<div  class=\"Num\">\u2022\t",
            "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span> : ",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span> : ",
            "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span> ",
        ((sNob.TosNum[IDX]<2)?"":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>"),
        "<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoNacimiento = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+"<\/em>",
        sNob.Nombre[IDX],
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaNacimiento = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        "<span class=\"Nacen EM\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+"<\/span> : ",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span>, ",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span><div>\u2022\t",
        ((sNob.Numero[IDX])?"<span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> ",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span>",
        "<span class=\"Num\"><br \/>\u2022\t",
            "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span> : ",
            "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+sNob.EdadSuces[IDX]+"<\/span>",
        "<\/span>"+((sNob.TosNum[IDX]<2)?"":" <ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>")+"<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoDenominacion = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>"+sNob.Denom[IDX].markIf(sNob.TMayor[IDX])+"<\/em>",
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Clase[IDX]+" "+sNob.Parte[IDX]:sNob.Clase[IDX]+" "+sNob.Parte[IDX]),
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaDenominacion = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span>, ",
        ((sNob.Numero[IDX])?" <span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> : ",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span> ",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span>",
        "<div  class=\"Num\">\u2022\t",
            "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span> : ",
            "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/span> : ",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]+"<\/span> ",
        ((sNob.TosNum[IDX]<2)?"":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>"),
        "<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoCreacion = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+"<\/em> por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Denom[IDX].markIf(sNob.TMayor[IDX]),
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Clase[IDX]+" "+sNob.Parte[IDX]:sNob.Clase[IDX]+" "+sNob.Parte[IDX]),
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaCreacion = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span>, ",
        ((sNob.Numero[IDX])?" <span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> : ",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span> ",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span>",
        "<div  class=\"Num\">\u2022\t",
            "<span class=\"Creac\"><em>"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+"<\/em> por "+sNob.CreRdo[IDX]+"<\/span> : ",
            "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/span> : ",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]+"<\/span> ",
        ((sNob.TosNum[IDX]<2)?"":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>"),
        "<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoGrandeza = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>"+((sNob.Grandeza[IDX])?sNob.Grandeza[IDX]+sNob.GdEspAMD[IDX]+"<\/em> por "+sNob.GdERdo[IDX]:"sin GdE<\/em>"),
        sNob.Denom[IDX].markIf(sNob.TMayor[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Clase[IDX]+" "+sNob.Parte[IDX]:sNob.Clase[IDX]+" "+sNob.Parte[IDX]),
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaGrandeza = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span>, ",
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> : ",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span> ",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span>",
        "<div  class=\"Num\">\u2022\t",
            "<span class=\"GdEsp\"><em>"+((sNob.Grandeza[IDX])?sNob.Grandeza[IDX]+sNob.GdEspAMD[IDX]+"<\/em> por "+sNob.GdERdo[IDX]:"sin GdE<\/em>")+"<\/span> : ",
            "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span><br \/>\u2022\t",
            ((sNob.Numero[IDX])?" <span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
            "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/span> : ",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]+"<\/span> ",
        ((sNob.TosNum[IDX]<2)?"":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>"),
        "<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoSucesion = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/em>",
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaSucesion = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        ((sNob.Numero[IDX])?" <span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> ",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span> : ",
        // "<span class=\"NumDe\">[n\u00FAm."+(IDX+1)+"\/"+sNob.ITEMS+"]<\/span> ",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span>, ",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span>",
        "<div  class=\"Num\">\u2022\t",
            "<span class=\"Suces\"><em>"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/em>"+sNob.EdadSuces[IDX]+"<\/span> : ",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span> : ",
            "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span> ",
            // ((sNob.Numero[IDX])?"<span class=\"Numero\">"+((sNob.Numero[IDX].charAt(0)=='0')?sNob.Numero[IDX].slice(1):sNob.Numero[IDX])+"<\/span> ":""),
        ((sNob.TosNum[IDX]<2)?"":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>"),
        "<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoNumero = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\">"+((sNob.Numero[IDX])?"<em>"+sNob.Numero[IDX]+"\u00B0<\/em> "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins><\/li>")
        ].join(" : ");
}
Seleccion.listaNumero = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        ((sNob.Numero[IDX])?"<span class=\"Numero EM\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> ",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span> : ",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span> ",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span>",
        "<div  class=\"Num\">\u2022\t",
            "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/span> : ",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+sNob.EdadSuces[IDX]+"<\/span><br \/>\u2022\t",
            "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span> : ",
            "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span> ",
        ((sNob.TosNum[IDX]<2)?"":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>"),
        "<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
Seleccion.llanoEdadS = function(IDX) {
    return [
        "<li id=\""+sNob.XMLID[IDX]+"\"><em>"+((sNob.EdadSuces[IDX])?sNob.EdadSuces[IDX].substring(3,sNob.EdadSuces[IDX].length-1):"??a??m??d")+"<\/em>",
        sNob.Sucesion[IDX]+sNob.SucesAMD[IDX],
        ((sNob.Numero[IDX])?sNob.Numero[IDX]+"\u00B0 "+sNob.Titulo[IDX]:sNob.Titulo[IDX]),
        sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX],
        sNob.Grande[IDX],
        sNob.Nombre[IDX],
        "*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX],
        ((sNob.TosNum[IDX]<2)?"["+sNob.Titulos[IDX]+"]<\/li>":"<ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>")
        ].join(" : ");
}
Seleccion.listaEdadS = function(IDX) {
    return [
        "<li class=\""+sNob.NobCls[IDX]+"\" id=\""+sNob.XMLID[IDX]+"\">",
        "<span class=\"EdadS EM\">"+((sNob.EdadSuces[IDX])?sNob.EdadSuces[IDX].substring(3,sNob.EdadSuces[IDX].length-1):"??a??m??d")+"<\/span> : ",
        "<span class=\"Suces\">"+sNob.Sucesion[IDX]+sNob.SucesAMD[IDX]+"<\/span> : ",
        "<span class=\"Creac\">"+sNob.Creacion[IDX]+sNob.CreacAMD[IDX]+" por "+sNob.CreRdo[IDX]+"<\/span> : ",
        "<span class=\"GdEsp\">"+sNob.Grande[IDX]+"<\/span><div>\u2022\t",
        ((sNob.Numero[IDX])?"<span class=\"Numero\">"+sNob.Numero[IDX]+"<\/span> ":""),
        "<span class=\"Clase\">"+sNob.Clase[IDX]+"<\/span> ",
        "<span class=\"Parte\">"+sNob.Parte[IDX]+"<\/span> ",
        "<span class=\"Denom\">"+sNob.Denom[IDX].link("#"+sNob.XMLID[IDX])+((sNob.XLINK[IDX])?"<a class=\"TMayor\" href=\""+sNob.XLINK[IDX]+"\">\u00B9<\/a>":"")+"<\/span><br \/>\u2022\t",
        "<span class=\"Apellido\">"+sNob.Apellido[IDX]+"<\/span><br \/>\u2022\t",
        "<span class=\"dePila\">"+sNob.Cortesia[IDX]+sNob.dePila[IDX]+"<\/span> ",
        "<span class=\"Num\">(",
            "<span class=\"Nacen\">*"+sNob.Nacencia[IDX]+sNob.EdadAMD[IDX]+"<\/span>",
        ")<\/span>"+((sNob.TosNum[IDX]<2)?"":" <ins title=\""+IDX+"\">["+sNob.Titulos[IDX]+"]<\/ins>")+"<\/div>",
        "<\/li>"
        ].join("");
}
// -----------------------------------------------------------------
// -----------------------------------------------------------------
// -----------------------------------------------------------------
// -----------------------------------------------------------------


Seleccion.TitulosIDREF = function() { // <button title="NN.NN" onclick="Seleccion.TitulosIDREF('this.title');">&#x25B8;</button>
	var IdRef = (arguments.length) ? (arguments[0]).substr((arguments[0]).indexOf("#")+1) : ((window.location.hash) ? (window.location.hash).substr(1) : false) ;
    if (IdRef && (IdRef in sNob.IDREF)) print(Seleccion.LISTA(sNob.IDREF[IdRef]));
}
Seleccion.TitulosXMLID = function() {
	var IdRef = (arguments.length) ? (arguments[0]).substr((arguments[0]).indexOf("#")+1) : ((window.location.hash) ? (window.location.hash).substr(1) : false) ;
    if (IdRef && (IdRef in sNob.IDREF)) {
		document.FORMer.TEXTer.value=IdRef;
		var oForm=document.FORMer.SEARCHin;
		for (var i=0; i<oForm.length; i++) {
			if (oForm.options[i].value=="XMLID") { oForm.selectedIndex=i; return; }
		}
	}
}
Seleccion.TitulosBUSCA = function() { rDiv.innerHTML=TIPs; }
Seleccion.TitulosINSTR = function() { rDiv.innerHTML=KEYs; }
Seleccion.TitulosURLID = function() { hashIntoView(window.location.hash); }
Seleccion.TitulosDESCR = function() { with(rDiv){while(hasChildNodes()){void(removeChild(lastChild));}};rDiv.appendChild(FAQs); }
Seleccion.TitulosCENSO = function() {
	var CensoNac = "\r\n\r\n<strong>Censo de titulares por aos y das de nacimientos<\/strong>\r\n\t"+(CensoNacAMD()).replace(/[CYMD]+/g,"<b>$&<\/b>");
	var CensoCre = "\r\n\r\n<strong>Censo de creaciones de ttulos por aos, meses, das<\/strong>\r\n\t"+(CensoCreAMD()).replace(/[CYMD]+/g,"<b>$&<\/b>");
	var CensoNob = sNob.STATS.replace(/[0-9?]{4}-[0-9?]{2}-[0-9?]{2}/,"<b>$&<\/b>").replace(/~ \w+\.\w+/g,"<span class='ID'>$&<\/span>");
    rDiv.innerHTML="<pre><strong>Estad&iacute;stica/Statistic<\/strong>   (\"M\" male-, \"F\" female-, \"X\" non-occupied):\r\n"+CensoNob+CensoCre+CensoNac+"<\/pre>";
}

var KEYs =
[
    "<pre><strong>Abreviaturas\/Instrumentos | Abbreviations\/Instruments | Abkrzungen\/Beurkundungen<\/strong>",
    "    BO      = B.O.       = Boletn Oficial del Estado",
    "    CC      = C.C.       = (a consulta de la) Cmara de Castilla",
    "    CCa     = C.Ca.      = (a consulta de los) Cortes de Cdiz",
    "    CConf   = C.Conf.    = Carta de Confirmacin",
    "    CI      = C.I.       = (a consulta de la) Cmara de Indias",
    "    CoR     = Co.R.      = Consejo de Regencia",
    "    CP      = C.P.       = Carta Pontificia (Breve)",
    "    CPS     = C.P.S.     = Carta Pontificia de Sucesin",
    "    CR      = C.R.       = Carta de Rehabilitacin",
    "    CS      = C.S.       = Carta de Sucesin",
    "    C       = C.         = Carta",
    "    D       = D.         = Decreto",
    "    DespA   = Desp.A.    = Despacho de Autorizacin",
    "    OA      = O.A.       = Orden de Autorizacin",
    "    RA      = R.A.       = Real Autorizacin",
    "    RC      = R.C.       = Real Cdula",
    "    RCR     = R.C.R.     = Real Carta de Rehabilitacin",
    "    RCS     = R.C.S.     = Real Carta de Sucesin",
    "    RD      = R.D.       = Real Decreto",
    "    RDR     = R.D.R.     = Real Decreto de Rehabilitacin",
    "    RDesp   = R.Desp.    = Real Despacho",
    "    RF      = R.F.       = Real Facultad",
    "    RO      = R.O.       = Real Orden",
    "    RP      = R.P.       = Real Privilegio",
    "    SJ      = S.J.       = Sentencia judicial",
    "    TAra    = T.Ara.     = Ttulo de Aragn",
    "    TAus    = T.Aus.     = Ttulo de Austria",
    "    TBar    = T.Bar.     = Ttulo de Barcelona",
    "    TCas    = T.Cas.     = Ttulo de Castilla",
    "    TCer    = T.Cer.     = Ttulo de Cerdea",
    "    TEsp    = T.Esp.     = Ttulo de Espaa",
    "    TEspB   = T.Esp.B.   = Ttulo Bonapartista",
    "    TEspC   = T.Esp.C.   = Ttulo Carlista",
    "    TEspF   = T.Esp.F.   = Ttulo Franquista",
    "    TEspGP  = T.Esp.G.P. = Ttulo del Gobierno Provisional",
    "    TEspI   = T.Esp.Ind. = Ttulo de Indias (por los Reyes de Espaa)",
    "    TEspIGP = T.Esp.I.G.P. = Ttulo de Indias (por el Gobierno Provisional)",
    "    TEspP   = T.Esp.P.   = Ttulo del Archiduque Pretendiente Don Carlos de Austria",
    "    Tfeud   = T.feud.    = Ttulo (del antiguo territorio) feudal",
    "    TFla    = T.Fla.     = Ttulo de Flandes",
    "    TFra    = T.Fra.     = Ttulo de Francia",
    "    TIng    = T.Ing.     = Ttulo de Inglaterra",
    "    TIta    = T.Ita.     = Ttulo de Italia",
    "    TLuc    = T.Luc.     = Ttulo de Lucca",
    "    TMal    = T.Mal.     = Ttulo de Mallorca",
    "    TMco    = T.Mco.     = Ttulo de Mjico\/Mxico (por la Suprema Regencia)",
    "    TMil    = T.Mil.     = Ttulo de Miln",
    "    TNap    = T.Nap.     = Ttulo de Npoles",
    "    TNav    = T.Nav.     = Ttulo de Navarra",
    "    TPor    = T.Por.     = Ttulo de Portugal",
    "    TRC     = T.R.C.     = Ttulo de los Reyes Catlicos",
    "    TRCI    = T.R.C.Ind. = Ttulo de Indias (por los Reyes Catlicos)",
    "    TDS     = T.D.S.     = Ttulo de las Dos Sicilias",
    "    TSic    = T.Sic.     = Ttulo de Sicilia",
    "    TSIR    = T.S.I.R.   = Ttulo del Sacro Imperio Romano",
    "    TSM     = T.S.M.     = Ttulo de San Marino",
    "    TSS     = T.S.S.     = Ttulo de la Santa Sede",
    "    Tod     = T.o.d.     = Ttulo de origen desconocido",
    "    Sces    = Suc.ces.  = Caso\/Suceso de cesin (Ttulo\/Dignidad\/Grandeza cedido\/a)",
    "    Sinc    = Suc.inc.  = Caso\/Suceso de incorporacin (Ttulo\/Dignidad\/Grandeza incorporado\/a)",
    "    Srec    = Suc.rec.  = Caso\/Suceso de reconocimiento (Ttulo\/Dignidad\/Grandeza reconocido\/a)",
    "    Ssub    = Suc.sub.  = Caso\/Suceso de subrogacin (Ttulo\/Dignidad\/Grandeza subrogado\/a)",
    "    Stra    = Suc.tra.  = Caso\/Suceso de transferencia (Ttulo\/Dignidad\/Grandeza transferido\/a)",
    "    NN      = N.N.       = Nomen (Instrumenti) Nominandum",
    "    desde   = dsd.       = desde ... since ... seit  ...",
    "    hasta   = hst.       = hasta ... until ... bis   ...",
    "    fecha   = fha.       = fecha ... date  ... Datum ...",
    "    dudoso  = dud.       = caso\/dato\/tipo en duda (origen\/ttulo\/nombre\/... dudoso)",
    "    feudal  = fdl.       = antiguo territorio\/ttulo feudal",
    "    legend  = leg.       = caso\/fecha de creacin legendaria",
    "              cre.       = Fecha de creacin",
    "              acc.       = Fecha de accesin",
    "              suc.       = Fecha de sucesin",
    "              ces.       = Fecha de cesin, Ttulo\/Dignidad\/Grandeza cedido\/a",
    "              inc.       = Fecha de incorporacin, Ttulo\/Dignidad\/Grandeza incorporado\/a",
    "              rec.       = Fecha de reconocimiento, Ttulo\/Dignidad\/Grandeza reconocido\/a",
    "              sub.       = Fecha de subrogacin, Ttulo\/Dignidad\/Grandeza subrogado\/a",
    "              tra.       = Fecha de transferencia, Ttulo\/Dignidad\/Grandeza transferido\/a",
    "              ocu.       = Fecha de ocupacin (= acc.\/suc.), Ttulo ocupado\/vigente",
    "              vac.       = Fecha de vacancia, Ttulo vacante",
    "                          (desde que da de la muerte de titular precedente)",
    "              can.       = Fecha de cancelacin, Ttulo cancelado",
    "              ren.       = Fecha de renunciacin, Ttulo renunciado",
    "              anu.       = Fecha de anulacin, Ttulo anulado",
    "              cad.       = Fecha de caducidad, Ttulo caducado",
    "              sup.       = Fecha de supresin, Ttulo suprimido",
    "              rev.       = Fecha de reversin, Ttulo revertido",
    "              ext.       = Fecha de extincin, Ttulo extinguido",
    "    *         nac.       = Fecha de nacimiento",
    "              cas.       = Fecha de casamiento",
    "             fal.       = Fecha de fallecimiento",
    "              lt.       = ltima fecha \/ ltimo nmero de ...",
    "    GdE     = G.d.E.     = Grandeza de Espaa",
    "    GdEPC   = G.d.E.cre. = Grandeza de Espaa de primera creacin (1 clase y antigedad)",
    "    GdE1a   = G.d.E.1   = Grandeza de Espaa de primera clase",
    "    GdE2a   = G.d.E.2   = Grandeza de Espaa de segunda clase",
    "    GdE3a   = G.d.E.3   = Grandeza de Espaa de tercera clase",
    "    GdEHon  = G.d.E.hon. = Grandeza de Espaa honoraria",
    "    GdEVit  = G.d.E.vit. = Grandeza de Espaa vitalicia",
    "    GdEPers = G.d.E.pers.= Grandeza de Espaa personal",
    "<\/pre>"
].join(/*@if (@_jscript) "\r\n" @else @*/ "\n" /*@end @*/);

var FOEs = // FOEs: Frequently Occurring Errors
[
    "<pre><b>No hits, no results !?<\/b> Either OK or due to &hellip;",
	"",
	"<strong>FOEs: Frequently Occurring Errors<\/strong>",
	"&bull; Keep the search <i>simple<\/i> at the beginning. Too many criterions, filters, strings etc combined may prevent hits,",
	"  your selections may just be incomplete\/incorrect assumptions on the current state or exact naming of a title\/holder.",
	"&bull; The selections (classes, filters, text) are <i>restrictions<\/i> combined as <a class=\"LIext\" href=\"http:\/\/en.wikipedia.org\/wiki\/Logical_conjunction\">logical conjunctions<\/a> (&ldquo;AND&rdquo;), which means &hellip;",
	"  only if <i>all<\/i> inputs are true (result in hits, match s&rsquo;thing), the output is true (a list of matching content);",
	"  i.e. no need for identical restrictions in different selections.",
	"&bull; The selected filters may exclude each other (no intersection set), and no data remain to be matched,",
	"  e.g. such nonsense as a gender-specific class\/rank of titles combined with a state of non-occupation.",
	"&bull; The search (for strings) only provides <i>exact matching<\/i> of <i>gapless occurrence<\/i> within <i>one type<\/i> of data-fields,",
	"  i.e. fussy about lettercase, accented characters, whitespace, but not leading and trailing parts. Don&rsquo;t be sloppy!",
	"&bull; The search-string may not fit the selected data-field, so mind <i>where<\/i> to search e.g. some (partial) &ldquo;name&rdquo;:",
	"  i.e. the denomination of a title (&ldquo;Denominacin del ttulo&rdquo;) <i>or<\/i> the name of a titleholder (&ldquo;Nombre del titular&rdquo;).",
	"&bull; The string changed from regular expression to plain text (or vice versa), but the RE-box remained (un)checked.",
	"&bull; finally <abbr title='Read The F***ing Manual'>RTFM<\/abbr> aka &ldquo;1&ordf; pgina (descripcin)&rdquo; - try and refine the FAQ-examples.",
	//~ "",
	//~ "",
	//~ "",
    "<\/pre>"
].join(/*@if (@_jscript) "\r\n" @else @*/ "\n" /*@end @*/);

var TIPs =
[
	"<pre><strong>Indicaciones para la b&uacute;squeda | Hints about search | Suchhinweise<\/strong>",
	"",
	"<strong>Some informations (and notations/patterns/tokens) provided by this Nobiliario<\/strong>",
	"Color-codes only in non-simple (= styled) mode: uncheck the &quot;simple&quot;-checkbox.",
	"&bull;       Class and <b style='color:red;'>Denomination<\/b>  = primary, major title (ttulo principal)",
	"&bull;       Class and <b style='color:darkblue;'>Denomination<\/b><b>&sup1;<\/b> = secondary, minor title (ttulo vinculado), related to a major title",
	"&bull;       Class and <b style='color:gray;'>Denomination<\/b>  = non-occupied title (ttulo no ocupado)",
	"&bull;                          ??  = number of successor(s)",
	"&bull;        ????-??-??  ??a??m??d  = date (year-month-day) and age or duration (years-months-days)",
	"&bull; cre.NN.YYYY-MM-DD ~YYaMMmDDd  = date of creation (instrument NN of 1st concession) and age of title up to date",
	"&bull; ocu.NN.YYYY-MM-DD ~YYaMMmDDd  = date (by instrument NN) and duration of current succession up to date",
	"&bull; ???.NN.YYYY-MM-DD ~YYaMMmDDd  = date (by instrument NN) and duration of title&rsquo;s legal situation up to date",
	"&bull; GdE.NN.YYYY-MM-DD ~YYaMMmDDd  = date (by instrument NN) and duration of title&rsquo;s (class of) Grandeza",
	"&bull;       *YYYY-MM-DD ~YYaMMmDDd  = date of birth and age of titleholder up to date",
	"&bull;                  (~YYaMMmDDd) = age of titleholder at date of succession",
	"&bull; [##] = number of titles per titleholder; for each main-list activate with #-button, then click on number",
	"         (= search by titleholder&rsquo;s full name) opens sub-list of all related titles, main title bold",
	"&bull; <em class='EM'>highlight</em> marks data-fields being criterion for the current sort-order (Sel.#3)",
	"&bull; several informations revealed by order and number of the list-items",
	"&bull; summarized statistics about male-, female- and non-occupied titles",
	"&bull; thin sidebar in pale <b style='color:steelblue;'>blue<\/b>\/<b style='color:palevioletred;'>pink<\/b> indicates holder&rsquo;s gender",
	"",
	"<strong>Search for date (&ldquo;fecha de &hellip;&rdquo;), age (&ldquo;edad de &hellip;&rdquo;), duration\/seniority (&ldquo;antigedad de &hellip;&rdquo;) etc.<\/strong>",
	"&bull; Some fields have a strict <i>situation.instrument.YYYY-MM-DD<\/i> or <i>~YYaMMmDDd<\/i> pattern;",
	"  situations and instruments are key-tokens (see abbreviations); dates have ISO-standard format.",
	"  Without certain needs omit the situations (already handled by filter-selection) and instruments.",
	"&bull; Ages, durations and seniority are only computed for complete dates without question-marks.",
	"  Search on these (empty) data-fields will skip records with partial dates.",
	"&bull; Combination with 1st-row filters (through &quot;s+select&quot;) will limit matches.",
	"",
	"\t<strong>search for\t\tin fields\t\tto find\/list\/match<\/strong>",
	"\t.19\t\t\tfecha\t\t\t20st century dates",
	"\t199\t\t\tfecha\t\t\tlast century 90s dates",
	"\t.20\t\t\tfecha\t\t\t21st century dates",
	"\t2011\t\t\tfecha\t\t\ta certain year",
	"\t-11-\t\t\tfecha\t\t\ta certain month (any year, any day)",
	"\t01\t\t\tmes\t\t\tmonth of birth (January, any year, any day)",
	"\t80a\t\t\tantig\/edad\t\t80 years ago\/old",
	"<b>*<\/b>RE\t~0[0-9]a\t\tantig\/edad\t\tless than 10 years ago\/old (100+ excluded)",
	"\t~0\t\t\tantig\/edad\t\tsame but simple w\/o regular expression",
	"\t-01-01\t\t\tmes-da\t\t\tborn on January 1st (any year)",
	"\t-01-01\t\t\tfecha\t\t\ts'thing on January 1st (any year)",
	"<b>*<\/b>RE\t[05]a$\t\t\tantig\/edad\t\ts'thing's 5th, 10th, 15th, 20th &hellip; anniversary today",
	"<b>*<\/b>RE\ta$\t\t\tedad de titular\t\ts'one's birthday today",
	"<b>*<\/b>RE\t~1..a\t\t\tedad de titular\t\tholders are 100+ years old",
	"\tRO.\t\t\tfecha\t\t\tinstrument &ldquo;Real Orden&rdquo; (any date)",
	"\tRO.19\t\t\tfecha\t\t\tditto, but 20st century dates",
	"\tGdE2a\t\t\tfecha de G.za\t\tGrandeza of 2nd class (any date)",
	"\t.0\t\t\tfecha de cre.\t\ttitles created before 1000",
	"<b>*<\/b>RE\t\\....[05]\t\tfecha\t\t\tdates of years ending 0 or 5",
	//~ "",
	//~ "",
	"\t.Ll\t\t\txml:id\t\t\ttitles by first letter(s)",
	"\tTorre\t\t\tnombre de t.\t\tholders' names incl. all components Torre|s|jon|nts|&hellip;",
	"\tTorre\t\t\tdenominacin\t\ttitles' denominations incl. all (partial) occurrences",
	"<b>*<\/b>RE\t^Torre$\t\t\tdenominacin\t\tsolely &ldquo;Torre&rdquo;, matches as component excluded",
	"<b>*<\/b>RE\t^Torres?$\t\tdenominacin\t\tsame but joint for &ldquo;Torre&rdquo; and &ldquo;Torres&rdquo;",
	"\t03\t\t\tnmero de t.\t\ttitles being part of 3 related titles",
	"<b>*<\/b>RE\t0[^01]|[1-9][0-9]\tnmero de t.\t\ttitles being related with some title(s)",
	"<b>*<\/b>RE\t^[^0]\t\t\tnmero de t.\t\ttitles being part of at least ten accumulated titles",
	"\t03\t\t\tnmero de s.\t\ttitles having or holders being the 3rd accessor",
	"\tdem\t\t\tot.te\/&hellip; de G.za\t\ttitles with G.d.E. both conferred by same grantor",
	"<b>*<\/b>RE\t^[^[]\t\t\tot.te\/&hellip; de G.za\t\ttitles with G.d.E. both conferred by diff. grantors",
	"",
	"<b>*<\/b>RE  =  search-string is a &ldquo;Regular Expression&rdquo;, the RE-box requires a check !",
	"\tAnd don&rsquo;t forget to uncheck when switching back to plain text again.",
	//~ "",
	//~ "",
    "<\/pre>"
].join(/*@if (@_jscript) "\r\n" @else @*/ "\n" /*@end @*/);

// -----------------------------------------------------------------
// -----------------------------------------------------------------

function CensoCreAMD() 
	{
	
	function spcpad(n) { return (n<10?'  ':(n<100?' ':''))+n ; } 

	var ccArr = [];
	var ccObj = {};
	var yyArr = [];
	var yyObj = {};
		
	var mmArr = ['-??','-01','-02','-03','-04','-05','-06','-07','-08','-09','-10','-11','-12'];
	var mmObj = { 
		'-??':0,
		'-01':0,'-02':0,'-03':0,'-04':0,'-05':0,'-06':0,
		'-07':0,'-08':0,'-09':0,'-10':0,'-11':0,'-12':0 
		};
		
	var ddArr = ( function() {
		var d366 = ['-??-??'];
		function pad(n) { return (n<10?'0':'')+n ; }
		for (var mm=1; mm<=12; mm++) {
		for (var dd=1; dd<=[0,31,29,31,30,31,30,31,31,30,31,30,31][mm]; dd++) {
			d366[d366.length]='-'+pad(mm)+'-'+pad(dd);
		}}	
		return d366;
		}() );
	var ddObj = {}; for (var i=0; i<ddArr.length; i++) ddObj[ddArr[i]]=0;

	for (var i=0; i<sNob.ITEMS; i++)
		{
		if (/\.([0-9?]{2})([0-9?]{2})(-[0-9?]{2})(-[0-9?]{2})$/.test(sNob.Creacion[i])) 
			{ 
			(RegExp.$1 in ccObj) ? ccObj[RegExp.$1]++ : ccObj[RegExp.$1]=1 ; 
			(RegExp.$1+RegExp.$2 in yyObj) ? yyObj[RegExp.$1+RegExp.$2]++ : yyObj[RegExp.$1+RegExp.$2]=1 ; 
			mmObj[RegExp.$3]++; ddObj[RegExp.$3+RegExp.$4]++; 
			}
		}

	var rSrc = new resultSrc();

		rSrc.Source[rSrc.Source.length]=("--------------------------");
		rSrc.Source[rSrc.Source.length]=("sig. :  CCyy-mm-dd  :  nm. de creaciones por cada siglo");
		rSrc.Source[rSrc.Source.length]=("--------------------------");

	for (var i in ccObj)
		{
		ccArr[ccArr.length]=[i,function(n){ return (n<10?'   ':(n<100?'  ':(n<1000?' ':'')))+n; }(ccObj[i])];	
		}

		ccArr.sort();

		rSrc.Source[rSrc.Source.length]=('  ? :  '+ccArr[ccArr.length-1][0]+'--------  : '+ccArr[ccArr.length-1][1]);	
		
	for (var i=0; i<ccArr.length-1; i++)
		{
		rSrc.Source[rSrc.Source.length]=(spcpad(parseInt(ccArr[i][0],10)+1)+' :  '+ccArr[i][0]+'--------  : '+ccArr[i][1]);	
		}
		
		rSrc.Source[rSrc.Source.length]=("--------------------------");
		rSrc.Source[rSrc.Source.length]=("aos :  CCYY-mm-dd  :  nm. de creaciones por cada ao");
		rSrc.Source[rSrc.Source.length]=("--------------------------");

	for (var i in yyObj)
		{
		yyArr[yyArr.length]=[i,spcpad(yyObj[i])];	
		}
		
		yyArr.sort();

		rSrc.Source[rSrc.Source.length]=('  ?  :  '+yyArr[yyArr.length-1][0]+'------  :  '+yyArr[yyArr.length-1][1]);	
		
	for (var i=0; i<yyArr.length-1; i++)
		{
		rSrc.Source[rSrc.Source.length]=(spcpad(base2Day.y-parseInt(yyArr[i],10))+'  :  '+yyArr[i][0]+'------  :  '+yyArr[i][1]);	
		}

		rSrc.Source[rSrc.Source.length]=("--------------------------");
		rSrc.Source[rSrc.Source.length]=("mes  :  ccyy-MM-dd  :  nm. de creaciones por mes en la suma de todos los aos");
		rSrc.Source[rSrc.Source.length]=("--------------------------");

	for (var i=0; i<mmArr.length; i++)
		{
		rSrc.Source[rSrc.Source.length]=(spcpad(i)+'  :  ----'+mmArr[i]+'---  :  '+spcpad(mmObj[mmArr[i]]));	
		}

		rSrc.Source[rSrc.Source.length]=("--------------------------");
		rSrc.Source[rSrc.Source.length]=("da  :  ccyy-MM-DD  :  nm. de creaciones por da en la suma de todos los aos");
		rSrc.Source[rSrc.Source.length]=("--------------------------");
		
	for (var i=0; i<ddArr.length; i++)
		{
		rSrc.Source[rSrc.Source.length]=(spcpad(i)+'  :  ----'+ddArr[i]+'  :  '+spcpad(ddObj[ddArr[i]]));	
		}
		
		rSrc.Source[rSrc.Source.length]=("--------------------------");
		
	return rSrc.returnSrc(/*@if (@_jscript) "\r\n\t" @else @*/ "\n\t" /*@end @*/);
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------

function CensoNacAMD() 
	{
	
	function spcpad(n) { return (n<10?'  ':(n<100?' ':''))+n ; }

	var yyArr = [];
	var yyObj = {};
		
	var ddArr = ( function() {
		var d366 = ['-??-??'];
		function pad(n) { return (n<10?'0':'')+n ; }
		for (var mm=1; mm<=12; mm++) {
		for (var dd=1; dd<=[0,31,29,31,30,31,30,31,31,30,31,30,31][mm]; dd++) {
			d366[d366.length]='-'+pad(mm)+'-'+pad(dd);
		}}
		return d366;
		}() );
	var ddObj = {}; for (var i=0; i<ddArr.length; i++) ddObj[ddArr[i]]=0;

	for (var i=0; i<sNob.ITEMS; i++)
		{
		if (sNob.TMayor[i] && /([0-9?]{4})(-[0-9?]{2}-[0-9?]{2})$/.test(sNob.Nacencia[i])) 
			{ 
			(RegExp.$1 in yyObj) ? yyObj[RegExp.$1]++ : yyObj[RegExp.$1]=1 ; ddObj[RegExp.$2]++; 
			}
		}

	var rSrc = new resultSrc();

		rSrc.Source[rSrc.Source.length]=("--------------------------");
		rSrc.Source[rSrc.Source.length]=("edad :  YYYY-mm-dd  :  nm. de titulares por cada edad\/ao de nacimiento");
		rSrc.Source[rSrc.Source.length]=("--------------------------");

	for (var i in yyObj)
		{
		yyArr[yyArr.length]=[i,spcpad(yyObj[i])];	
		}
		
		yyArr.sort();

		rSrc.Source[rSrc.Source.length]=('  ?  :  '+yyArr[yyArr.length-1][0]+'------  :  '+yyArr[yyArr.length-1][1]);	
		
	for (var i=0; i<yyArr.length-1; i++)
		{
		rSrc.Source[rSrc.Source.length]=(spcpad(base2Day.y-parseInt(yyArr[i],10))+'  :  '+yyArr[i][0]+'------  :  '+yyArr[i][1]);	
		}

		rSrc.Source[rSrc.Source.length]=("--------------------------");
		rSrc.Source[rSrc.Source.length]=("da  :  yyyy-MM-DD  :  nm. de titulares por cada da de nacimiento en la suma de todos los aos");
		rSrc.Source[rSrc.Source.length]=("--------------------------");
		
	for (var i=0; i<ddArr.length; i++)
		{
		rSrc.Source[rSrc.Source.length]=(spcpad(i)+'  :  ----'+ddArr[i]+'  :  '+spcpad(ddObj[ddArr[i]]));	
		}
		
		rSrc.Source[rSrc.Source.length]=("--------------------------");
		
	return rSrc.returnSrc(/*@if (@_jscript) "\r\n\t" @else @*/ "\n\t" /*@end @*/);
}

// -----------------------------------------------------------------
// -----------------------------------------------------------------
// EOF